﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Flugplan_Filter_DataContext_WCF.aspx.cs"
 Inherits="Flugplan_DataViewCoding2" MasterPageFile="WWWings.Einfach.master" %>

<asp:Content ID="P1" ContentPlaceHolderID="P_Head" runat="server">
<!-- Basisbausteine der ASP.NET AJAX Library -->
<script src="/Scripts/MicrosoftAjax/Start.debug.js" type="text/javascript"></script>
<script type="text/javascript" src="../Scripts/MicrosoftAjax/MicrosoftAjax.debug.js"></script>
           
 <style type="text/css">
  .sys-template
  {
   display: none;
   visibility: hidden;
  }
 </style>
 <style type="text/css">
  .sys-template
  {
   visibility: hidden;
  }
  .myselected
  {
   color: white;
   font-weight: bold;
   background-color: Silver;
  }
 </style>

 <script type="text/javascript">
     Sys.require([Sys.components.dataView, Sys.components.dataContext, Sys.scripts.WebServices]);
           Sys.activateDom = false; 
  // ============== Globale Variablen
  var Tabelle, Daten, dataContext;

  // Parameter für WCF-Dienst
  var Parameter = { Ort: "" }
    
  // Datenkontext für WCF-Dienst
  Sys.onReady(function () {
      dataContext = Sys.create.dataContext({
          serviceUri: "/Webservice/FlugplanService_WCFAJAX.svc",
          saveOperation: "SaveFluege"
      });

      Sys.Application.activateElement(document.documentElement);
  });
  
  
  // ============== Fehlerfall
  function Fehler(sender, error) {
   ///<summary>Zeigt den Fehler anstelle der Tabelle an</summary>
   ///<param name="error" type="Error Object">Fehlerinformation</param>
   ///<returns>string</returns>
   var text = "Fehler bei der AJAX-Verarbeitung auf dem Server: " + error.get_error().get_message();
   alert(text);
  }

  // ============== Daten neu abrufen
  function StartLaden(sender, args) {
   Parameter.Ort = $get("C_Orte").value;
   Tabelle = $find("C_Fluege");
   Tabelle.fetchData();
if ($get("C_Orte").value != "") {
         $get("C_Fluege_Label").innerText = "Flüge von " + $get("C_Orte").value + ":";
           }
          else {
         $get("C_Fluege_Label").innerText = "";
            }
  }

  // ============== Daten an Tabelle übergeben
  function EndeLaden(sender, args) {
   Tabelle = sender;
   Daten = args.get_data();
   Sys.Observer.makeObservable(Daten);
  }
 </script>

</asp:Content>
<asp:Content ID="P2" ContentPlaceHolderID="P_MainContent" runat="server">
 <div>
  <p>
   Abflugort:
   <select id="C_Orte" name="D1" onchange="StartLaden();">
    <option value="">Bitte wählen</option>
    <option value="Rom">Rom</option>
    <option value="Paris">Paris</option>
    <option value="London">London</option>
    <option value="Berlin">Berlin</option>
   </select><br />
  </p>
  <hr />
  <div id="C_Fluege_Label"></div>
  <div>
   <table border="0" id="C_Fluege" class="sys-template" 
   sys:attach="dataview" 
   dataview:autofetch="true"
   dataview:dataprovider="{{ dataContext }}" 
   dataview:fetchfailed="{{ Fehler }}"
   dataview:fetchoperation="GetFluegeByOrt35"
   dataview:fetchparameters="{{ Parameter }}" 
   dataview:onrendering="{{ EndeLaden }}" 
  >
    <tr style="background-color: #F7F7F7" sys:if="$index%2 == 0" />
    <td>
     {{ $index}}
    </td>
    <td>
     {{ FlugNr }}
    </td>
    <td>
     {{ Abflugort }}
    </td>
    <td>
     {{ Zielort }}
    </td>
    <td>
    {{ Datum.format('dd.MM.yyyy') }}
    </td>
    <td>
     {{ FreiePlaetze }}
    </td>
    </tr>
    <tr style="background-color: #E7E7FF" sys:if="$index%2 == 1" />
    <td>
     {{ $index }}
    </td>
    <td>
     {{ FlugNr }}
    </td>
    <td>
     {{ Abflugort }}
    </td>
    <td>
     {{ Zielort }}
    </td>
    <td>
    {{ Datum.format('dd.MM.yyyy') }}
    </td>
    <td>
     {{ FreiePlaetze }}
    </td>
    </tr>
   </table>
   <%-- <ul id="C_Fluege" >
      <li>von {{ FL_Abflugort }}</li>
    </ul>--%>
  </div>
 </div>
</asp:Content>
