﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Chart1.aspx.cs" Inherits="ASPNET4Demos.NeueSteuerelemente.Chart"
 MasterPageFile="~/WWWings.Einfach.master" Title="Freie Plätze auf ausgewählten Flügen - ASP.NET 4.0 Chart" %>

<asp:Content runat="server" ContentPlaceHolderID="P_MainContent">
 <div>
  Auwahl der Flugnummern:
  <asp:TextBox ID="C_Von" runat="server">100</asp:TextBox>
  &nbsp;bis
  <asp:TextBox ID="C_Bis" runat="server">110</asp:TextBox>
  &nbsp;<asp:Button ID="C_Anzeigen" runat="server" Text="Anzeigen" OnClick="C_Anzeigen_Click" />
  <br />
 </div>
 <!--- Diagamm -->
 <asp:Chart ID="C_Chart" runat="server" DataSourceID="EDS_Fluege" Width="629px" Height="400" TextAntiAliasingQuality="High" AntiAliasing="All" >
  <BorderSkin SkinStyle="Emboss"></BorderSkin>
  <Titles>
    <asp:Title Text="World Wide Wings" TextStyle="Shadow" ForeColor="Red" Font="Arial, 20"></asp:Title>
  <asp:Title Text="Flugauslastung" TextStyle="Shadow" ForeColor="Red" Font="Arial, 15"></asp:Title>
  </Titles>
  <Series>
   <asp:Series ChartType="Column" IsValueShownAsLabel="true" ChartArea="BereichPlaetze"
    Name="Plaetze" XValueMember="FlugNr" YValueMembers="Plaetze" Palette="Pastel" YValuesPerPoint="6"
    ToolTip="Flug #VALX{d} = #VALY{d} Plätze" CustomProperties="DrawingStyle=Cylinder">
   </asp:Series>
   <asp:Series ChartType="Column" IsValueShownAsLabel="true" ChartArea="BereichFreiePlaetze"
    Name="FreiePlaetze" XValueMember="FlugNr" YValueMembers="FreiePlaetze" Palette="Pastel"
    YValuesPerPoint="6" ToolTip="Flug #VALX{d} = #VALY{d} freie Plätze" CustomProperties="DrawingStyle=Cylinder">
   </asp:Series>
  </Series>
  <ChartAreas>
   <asp:ChartArea Name="BereichPlaetze">
    <Area3DStyle Enable3D="true" />
    <AxisX Interval="1" IntervalOffset="1" Title="Plätze auf den Flügen">
    </AxisX>
   </asp:ChartArea>
   <asp:ChartArea Name="BereichFreiePlaetze">
    <Area3DStyle Enable3D="true" />
    <AxisX Interval="1" IntervalOffset="2" Title="Freie Plätze auf den Flügen">
    </AxisX>
   </asp:ChartArea>
  </ChartAreas>
 </asp:Chart>
 <!--- Datenquelle für Diagramm -->
 <asp:LinqDataSource ID="EDS_Fluege" runat="server" ContextTypeName="WWWings35_GO.EF.WWWings6EF"
  EntityTypeName="" TableName="Flug" OrderBy="Datum">
 </asp:LinqDataSource>
 <asp:QueryExtender ID="QueryExtender1" runat="server" TargetControlID="EDS_Fluege">
  <asp:RangeExpression DataField="FlugNr" MinType="Inclusive" MaxType="Inclusive">
   <asp:ControlParameter ControlID="C_Von" />
   <asp:ControlParameter ControlID="C_Bis" />
  </asp:RangeExpression>
  <asp:SearchExpression SearchType="Contains" DataFields="Abflugort">
   <asp:QueryStringParameter Name="Abflugort" QueryStringField="Ort" Type="String" />
  </asp:SearchExpression>
 </asp:QueryExtender>
</asp:Content>
