﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using WWWings35_GO;
using WWWings35_DZ;
using WWWings35_GO.LTS;

namespace WWWings35_BL
{


 /// <summary>
 /// Beispiel DI/IoC zum Testen
 /// </summary>
 public class FlugBLManager_IoC
 {
  /// <summary>
  /// Hier DAL "anmelden" bei GL
  /// </summary>
  IFlugDataManager _DAL = new FlugDataManager();

  public IFlugDataManager DAL
  {
   set { _DAL = value; }
  }

  public List<Flug> HoleAlle()
  {

   return _DAL.HoleAlle();
  }


  public List<Flug> HoleAlle(string Ort)
  {
   if (Ort == "") return null;
   return _DAL.HoleAlle(Ort);
  }

  public Flug HoleFlug(long Nr)
  {
   return _DAL.HoleFlug(Nr);
  }

 }
}
