﻿using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
namespace WWWings35_GO.EF
{

 // HS 5.9.2009
 // WICHTIG:
 // Diese Datei enthält nur die Metainformationen für Dynamic Data Websites (siehe Projekt /Web/DynData_EF)
 // -------------------------------------------------------------------------------------------------------

 [MetadataType(typeof(Flug_Meta))]
 partial class Flug
 {

  partial void OnFreiePlaetzeChanging(short? value)
  {

   //if (value.Value > this.Plaetze) throw new ValidationException("Freie Plätze müssen kleiner sein als Gesamtanzahl der Plätze. Freie Plätze= " + value.Value + " Plätze= " + this.Plaetze);

  }
  class Flug_Meta
  {

   [UIHint("Ort")]
   public string Abflugort;
   [UIHint("Ort")]
   public string Zielort;


   [DisplayName("Abflug")]
   [DisplayFormat(DataFormatString = "{0:dd.MM.yyyy HH:mm}")]
   public object Datum { get; set; }
   [DisplayFormat(DataFormatString = "{0:dd.MM.yyyy HH:mm}")]
   public object Ankunft;

   [Range(0, 250, ErrorMessage = "Zahl für {0} muss zwischen {1} und {2} liegen!")]

   public int Plaetze;

   [Range(0, 250, ErrorMessage = "Zahl für {0} muss zwischen {1} und {2} liegen!")]
   public int FreiePlaetze;


  }
 }


}
