using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Workflow.Activities;

namespace de.WWWings.Workflow.Aufgaben
{

 [Serializable]
 public class Uebergabewert : ExternalDataEventArgs
 {
  private int _Wert;

	public int Wert
	{
		get { return _Wert;}
		set { _Wert = value;}
	}
	
  public Uebergabewert (Guid instanceID, int wert) : base(instanceID)
	{
  //this.WaitForIdle = true;
   this.Wert = wert;
	} 
 }

  [ExternalDataExchange]
 interface IKommunikationsklasse
 {
   event System.EventHandler<Uebergabewert> WertEreignis;
   void SendeWert(Guid instanceID, int Wert);
 }


 [Serializable]
	public class Aufgabe14_Kommunikationsklasse : IKommunikationsklasse
	{

  #region IKommunikationsklasse Members

  public event EventHandler<Uebergabewert> WertEreignis;

  public void SendeWert(Guid instanceID, int Wert)
  {
   if (WertEreignis != null) WertEreignis(this, new Uebergabewert(instanceID, Wert));
  }

  #endregion
 }
}
