using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Workflow.Activities;

namespace de.WWWings.Workflow.Aufgaben
{

 [Serializable]
 public class Uebergabewert_Aufgabe15 : ExternalDataEventArgs
 {
  private int _Wert;

  public int Wert
  {
   get { return _Wert; }
   set { _Wert = value; }
  }

  public Uebergabewert_Aufgabe15(Guid instanceID, int wert)
   : base(instanceID)
  {
   //this.WaitForIdle = true;
   this.Wert = wert;
  }
 }

 [ExternalDataExchange]
 interface IKommunikationsklasse_Aufgabe15
 {
  event System.EventHandler<Uebergabewert> WorkflowEmpfaengtWert;
  void SendeWertZumWorkflow(Guid instanceID, int Wert);
  //event System.EventHandler<Uebergabewert> HostEmpfaengtWert;
  void SendeWertZumHost(Guid instanceID, int Wert);
 }


 //[Serializable]
 public class Aufgabe15_Kommunikationsklasse : IKommunikationsklasse_Aufgabe15
 {

  #region IKommunikationsklasse Members

  public event EventHandler<Uebergabewert> WorkflowEmpfaengtWert;

  public void SendeWertZumWorkflow(Guid instanceID, int Wert)
  {
   if (WorkflowEmpfaengtWert != null) WorkflowEmpfaengtWert(null, new Uebergabewert(instanceID, Wert));
  }

  static public event EventHandler<Uebergabewert> HostEmpfaengtWert;


  private delegate void SendeWertZumHostDelegate(Guid instanceID, int Wert);


  public void SendeWertZumHost(Guid instanceID, int Wert)
  {
   if (HostEmpfaengtWert != null) Aufgabe15_Kommunikationsklasse.HostEmpfaengtWert(null, new Uebergabewert(instanceID, Wert));
  }

  #endregion
 }
}
