using System;
using System.ComponentModel;
using System.ComponentModel.Design;
using System.Collections;
using System.Drawing;
using System.Workflow.ComponentModel.Compiler;
using System.Workflow.ComponentModel.Serialization;
using System.Workflow.ComponentModel;
using System.Workflow.ComponentModel.Design;
using System.Workflow.Runtime;
using System.Workflow.Activities;
using System.Workflow.Activities.Rules;
using System.Data.SqlClient;

namespace de.WWWings.Workflow.Aufgaben
{
 public sealed partial class Aufgabe21 : SequentialWorkflowActivity
	{
		public Aufgabe21()
		{
			InitializeComponent();
		}



  /// <summary>
  /// Lsung, um mit wenig nderungen am Workflow die neue Wertbergabe zu realisieren
  /// </summary>
  public int Wert
  {
   get { return this.Eingangswert.Wert; }
   set { this.Eingangswert.Wert = value; }
  }
	

  private void Code_WertAusgaben_ExecuteCode(object sender, EventArgs e)
  {
   Console.WriteLine("Aktueller Wert: " + Wert.ToString());
  }

  private void Code_WertReduzieren_ExecuteCode(object sender, EventArgs e)
  {
  Wert--;
  }

  public Uebergabewert Eingangswert = default(de.WWWings.Workflow.Aufgaben.Uebergabewert);

  private void Warten_AufWert_Invoked(object sender, ExternalDataEventArgs e)
  {
   Console.WriteLine("Invoked!");
  }

  private void Code_WertSpeichern_ExecuteCode(object sender, EventArgs e)
  {
   const string CONNSTRING = (@"Data Source=.;Initial Catalog=Workflow;Integrated Security=True");
   const string SQL1 = @"INSERT INTO WE_Werte ([WE_Datum], [WE_Wert], [WE_WorkflowID]) VALUES (@Datum, @Wert, @WorkflowID)";

   // Verbindung aufbauen
   SqlConnection sqlConn = new SqlConnection(CONNSTRING);
   sqlConn.Open();

   // Befehlsobjekt erzeugen
   SqlCommand sqlCmd = sqlConn.CreateCommand();
   sqlCmd.CommandText = SQL1;

   // Parameter setzen
   sqlCmd.Parameters.AddWithValue("@Datum", DateTime.Now);
   sqlCmd.Parameters.AddWithValue("@Wert", Wert);
   sqlCmd.Parameters.AddWithValue("@WorkflowID", this.WorkflowInstanceId);
   
   Console.WriteLine("Gespeicherte Zeilen: " + sqlCmd.ExecuteNonQuery());

  }
	}

}
