using System;
using System.Collections.Generic;
using System.Text;
using System.ComponentModel;
using System.Management.Automation;

[RunInstaller(true)]
public class WorldWideWings_PowerShell_Extensions : PSSnapIn
{
  /// <summary>
  /// Create an instance of the GetProcPSSnapIn01 class.
  /// </summary>
 public WorldWideWings_PowerShell_Extensions()     : base()
  {
  }

  /// <summary>
  /// Specify the name of the PowerShell snap-in.
  /// </summary>
  public override string Name
  {
    get
    {
     return "WorldWideWings_PowerShell_Extensions";
    }
  }

  /// <summary>
  /// Specify the vendor for the PowerShell snap-in.
  /// </summary>
  public override string Vendor
  {
    get
    {
      return "www.IT-Visions.de/WWWings";
    }
  }

  /// <summary>
  /// Specify the localization resource information for the vendor. 
  /// Use the format: resourceBaseName,VendorName. 
  /// </summary>
  public override string VendorResource
  {
    get
    {
     return "WorldWideWings_PowerShell_Extensions,ITVisons";
    }
  }

  /// <summary>
  /// Specify a description of the PowerShell snap-in.
  /// </summary>
  public override string Description
  {
    get
    {
      return "This is a PowerShell Extension with different Commandlets.";
    }
  }

  /// <summary>
  /// Specify the localization resource information for the description. 
  /// Use the format: resourceBaseName,Description. 
  /// </summary>
  public override string DescriptionResource
  {
    get
    {
     return "WorldWideWings_PowerShell_Extensions,TODO";
    }
  }
}
