﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Management.Automation;

namespace de.ITVisions.PowerShell
{
 class Util
 {

  public static void SetConnection(PSCmdlet cmdlet)
  {
   if (cmdlet.GetVariableValue("CS_WWWings") == null) return;

   string CS = cmdlet.GetVariableValue("CS_WWWings").ToString();
   if (String.IsNullOrEmpty(CS)) return;

   de.WWWings.Config.SetConnection(CS);

  }

  public static string GetConnection(PSCmdlet cmdlet)
  {
   return de.WWWings.Config.GetConnection(); 

  }
 }
}
