using System;
using System.Diagnostics;
using System.IO;

namespace WorldWideWings.SLDemo
{
  static class Program
  {
    /// <summary>
    /// Einsprungpunkt fr Click-Once-EXE
    /// </summary>
    [STAThread]
    static void Main()
    {


      string dir = Path.GetDirectoryName(Process.GetCurrentProcess().MainModule.FileName);
      string exe = Path.Combine(dir, "sllauncher.exe");
      string xap = Path.Combine(dir, "Silverlight.xap");
      string url = @"http://localhost:71";

      // 1. Schritt: Installation
      ProcessStartInfo psi1 = new ProcessStartInfo();
      psi1.FileName = exe;
      psi1.Arguments = String.Format(" /install:\"{0}\" /origin:\"{1}\" /shortcut:desktop+startmenu /overwrite", xap, url);
      Process p = Process.Start(psi1);
      // Warten, bis Installation abgeschlossen
      p.WaitForExit();
      // 2. Schritt: Start der Silverlight-Anwendung
      ProcessStartInfo psi2 = new ProcessStartInfo();
      psi2.FileName = exe;
      psi2.Arguments = String.Format(" /emulate:\"{0}\" /origin:\"{1}\" /shortcut:desktop+startmenu /overwrite", xap, url);
      Process.Start(psi2);
      
     // MessageBox.Show("Silverlight-Anwendung luft!!!");


    }
  }
}