﻿<%@ Page Language="C#" MasterPageFile="~/Site.master" CodeFile="List.aspx.cs" Inherits="List" %>

<%@ Register src="~/DynamicData/Content/GridViewPager.ascx" tagname="GridViewPager" tagprefix="asp" %>
<%@ Register src="~/DynamicData/Content/FilterUserControl.ascx" tagname="DynamicFilter" tagprefix="asp" %>
<%@ Register Assembly="System.Web.Entity, Version=3.5.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" Namespace="System.Web.UI.WebControls" tagprefix="asp" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <asp:DynamicDataManager ID="DynamicDataManager1" runat="server" AutoLoadForeignKeys="true" />

    <h2><%= table.DisplayName%></h2>
<hr />
    <asp:ScriptManagerProxy runat="server" ID="ScriptManagerProxy1" />

    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
            <asp:ValidationSummary ID="ValidationSummary1" runat="server" EnableClientScript="true"
                HeaderText="List of validation errors" />
            <asp:DynamicValidator runat="server" ID="GridViewValidator" ControlToValidate="GridView1" Display="None" />

            <asp:FilterRepeater ID="FilterRepeater" runat="server">
                <ItemTemplate>
                    <asp:Label runat="server" Text='<%# Eval("DisplayName") %>' AssociatedControlID="DynamicFilter$DropDownList1" />
                    <asp:DynamicFilter runat="server" ID="DynamicFilter" OnSelectedIndexChanged="OnFilterSelectedIndexChanged" />
                </ItemTemplate>
                <FooterTemplate><br /><br /></FooterTemplate>
            </asp:FilterRepeater>


<asp:ListView ID="GridView1" runat="server" DataSourceID="GridDataSource" GroupItemCount="3"
  OnItemDataBound="ListView1_ItemDataBound">
  <EmptyItemTemplate>
   <td id="Td1" runat="server" />
  </EmptyItemTemplate>
  <ItemTemplate>
   <td id="Td2" runat="server" style="background-color: lightyellow">
    <p style="background-color: lightblue">
     <b>
      <asp:DynamicControl ID="DynamicControl1" runat="server" DataField="Vorname" Mode="ReadOnly" />

            <asp:DynamicControl ID="DynamicControl6" runat="server" DataField="Name" Mode="ReadOnly" />
     </b>
    </p>

    <asp:DynamicControl ID="DynamicControl2" runat="server" DataField="EMail"
     Mode="ReadOnly" />
    <br />
    Land:
    <asp:DynamicControl ID="DynamicControl3" runat="server" DataField="Land" Mode="ReadOnly" />
    <br />
    Geburtstag:
    <asp:DynamicControl ID="DynamicControl4" runat="server" DataField="Geburtstag" DataFormatString="{0:d}" Mode="ReadOnly" />
    <br />
   <br />
    <p align="right"><asp:HyperLink ID="EditHyperLink" runat="server">Edit</asp:HyperLink></p>
   </td>
  </ItemTemplate>
  <LayoutTemplate>
   <table id="Table1" runat="server" style="border: 1">
    <tr id="Tr1" runat="server">
     <td id="Td3" runat="server">
      <table id="groupPlaceholderContainer" runat="server" border="0" style="">
       <tr id="groupPlaceholder" runat="server">
       </tr>
      </table>
     </td>
    </tr>
    <tr id="Tr2" runat="server">
     <td id="Td4" runat="server" style="">
     </td>
    </tr>
   </table>
  </LayoutTemplate>
  <GroupTemplate>
   <tr id="itemPlaceholderContainer" runat="server">
    <td id="itemPlaceholder" runat="server">
    </td>
   </tr>
  </GroupTemplate>
 </asp:ListView>
 
            <asp:EntityDataSource ID="GridDataSource" runat="server" EnableDelete="true">
                <WhereParameters>
                    <asp:DynamicControlParameter ControlID="FilterRepeater" />
                </WhereParameters>
            </asp:EntityDataSource>

            <br />

            <div class="bottomhyperlink">
                <asp:HyperLink ID="InsertHyperLink" runat="server"><img runat="server" src="~/DynamicData/Content/Images/plus.gif" alt="Insert new item" />Insert new item</asp:HyperLink>
            </div>
        </ContentTemplate>
    </asp:UpdatePanel>
</asp:Content>
