﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;


 public partial class Buchungsassistent : System.Web.UI.Page
  {
    protected void Page_Load(object sender, EventArgs e)
    {

    }

    protected void Wizard1_ActiveStepChanged(object sender, 
      EventArgs e)
    {
      // Wenn der ScriptManager ein asynchrones Postback durchführt
      // und nicht z. B. über die Historienliste navigiert wird
      if (ScriptManager1.EnableHistory && ScriptManager1.IsInAsyncPostBack 
        && !ScriptManager1.IsNavigating)
      {
        // Dann neuen Synchronisationspunkt in die Historienliste 
        // aufnehmen
        // "index" ist der Schlüssel, unter dem später der letzte
        // Zustand wieder abgerufen werden kann
        ScriptManager1.AddHistoryPoint("index", 
          // Zustandsinformation
          Wizard1.ActiveStepIndex.ToString(), 
          // Anzeigetext für Browser
          "Buchungsschritt: " + Wizard1.ActiveStep.Title);
      }
    }

    // Aufruf durch Vor-/Zurück-Buttons im Browser
    protected void ScriptManager1_Navigate(object sender, 
      HistoryEventArgs e)
    {
      // Text aus Statusinformation
      string text = e.State["index"];

      if (string.IsNullOrEmpty(text))
      {
        // Zurück zum ersten Schritt des Wizards
        Wizard1.ActiveStepIndex = 0;
      }
      else
      {
        // Bearbeitungsschritt aus Statusinformation ermitteln
        Wizard1.ActiveStepIndex = int.Parse(text);
      }

      // Seitentitel aktualisieren
      Page.Title = "Buchungsschritt: " + Wizard1.ActiveStep.Title;
    }

  }

