using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Registrierung : System.Web.UI.Page
{

 public string Name
 {
  get { return this.C_Name.Text; }
 }

 protected void Page_Load(object sender, EventArgs e)
 {

  // Baumansicht ausblenden, solange Registrierung nicht erfolgreich!
  Master.FindControl("C_Nav").Visible = false;

  this.HyperLink1.NavigateUrl = "faq.aspx?SessionID=" + this.Session.SessionID;
  if (!Page.IsPostBack)
  {
   ViewState["Anzahl"] = 0;

   if (Request.Cookies["Name"] != null)
    this.C_Name.Text = Request.Cookies["Name"].Value;

   //HttpCookie c = Request.Cookies["Personendaten"];
   //string Name = c.Values["Name"];


  }
 }

 protected void CustomValidator1_ServerValidate(object source, ServerValidateEventArgs args)
 {
  // Die Logik ist einfach: alle geraden Zahlen sind gltig!
  args.IsValid = ((Convert.ToInt64(this.C_Code.Text) % 2) == 0);
 }
 protected void C_Absenden_Click(object sender, EventArgs e)
 {
  if (Page.IsValid) // gltige Eingaben --> Navigation
  {
   // ---------- 1-Seiten-Modell
   //  this.C_Ausgabe.Text = "Vielen Dank fr Ihre Registrierung!";
   // this.C_Ausgabe.ForeColor = System.Drawing.Color.Red;

   // ---------- Mehrseiten-Modell
   Response.Cookies["Name"].Value = this.C_Name.Text;
   Response.Cookies["EMail"].Value = this.C_EMail.Text;
   Response.Cookies["Name"].Expires = DateTime.MaxValue;
   Response.Cookies["EMail"].Expires = DateTime.MaxValue;
   Session["Name"] = this.C_Name.Text;
   Session["Email"] = this.C_EMail.Text;
   Response.Redirect("Bestaetigung.aspx");

   //// .NET-Objekt in Cookie Serialisieren
   //Person p = new Person();
   //Type t = typeof(Person);
   //Response.Cookies["Person"].Value = GetObjectAsString(p, t);

  }
  else // Ungltige Eingaben
  {
   if (Convert.ToInt64(ViewState["Anzahl"]) == 2)
   {
    this.MultiView1.SetActiveView(View1);
    this.C_Ausgabe.Text = "Sie haben leider dreimal den falschen Code eingegeben und sind nun ausgesperrt!";
    // this.Button1.Visible = false;
   }
   else
   {
    ViewState["Anzahl"] = Convert.ToInt64(ViewState["Anzahl"]) + 1;
    this.C_Ausgabe.Text = "";
   }
  }

 }

 //private static void GetObjectAsString(Person p, Type t)
 //{
 // System.Xml.Serialization.XmlSerializer s = new System.Xml.Serialization.XmlSerializer(t);
 // System.IO.MemoryStream ms = new System.IO.MemoryStream();
 // s.Serialize(ms, p);
 // string cookiestring = System.Text.Encoding.UTF8.GetString(ms.ToArray());
 //}
}
