﻿<%@ Page Language="C#" AutoEventWireup="true" Trace="false" CodeFile="Fluege_EDS.aspx.cs"
 Inherits="Fluege_ODS4" MasterPageFile="~/Master/WWWings.master" %>


<%@ Register assembly="System.Web.Entity, Version=3.5.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" namespace="System.Web.UI.WebControls" tagprefix="asp" %>


<asp:Content ID=P1 runat=server ContentPlaceHolderID=P_MainContent>
  <div>
   <span style="font-size: 14pt;
    font-family: Arial;">Flugplanverwaltung mit Filtern, Blättern, Sortieren, Ändern
    und Löschen<br />
    <br />
   </span>Abflughafen:
   <asp:DropDownList ID="C_Abflughafen" runat="server" AutoPostBack="True" 
    DataSourceID="EDS_Orte" DataTextField="Abflugort" DataValueField="Abflugort">
   </asp:DropDownList>
   <asp:EntityDataSource ID="EDS_Orte" runat="server" 
    ConnectionString="name=WWWings6Entities" DefaultContainerName="WWWings6Entities" 
    EntitySetName="Flug" GroupBy="it.[Abflugort]" OrderBy="it.[Abflugort]" 
    Select="it.[Abflugort]">
   </asp:EntityDataSource>
   <br />
   <asp:GridView ID="C_GridFluege" runat="server" AllowPaging="True" 
    AllowSorting="True" DataSourceID="EDS_Fluege" BackColor="White" BorderColor="#E7E7FF"
    BorderWidth="1px" CellPadding="3" GridLines="Horizontal" AutoGenerateColumns="False"
    Width="100%" BorderStyle="None" DataKeyNames="FlugNr">
    <FooterStyle BackColor="#B5C7DE" ForeColor="#4A3C8C" />
    <SelectedRowStyle BackColor="#738A9C" ForeColor="#F7F7F7" Font-Bold="True" />
    <Columns>
     <asp:CommandField ShowDeleteButton="True" ShowEditButton="True" />
     <asp:BoundField DataField="FlugNr" HeaderText="FlugNr" ReadOnly="True" 
      SortExpression="FlugNr" />
     <asp:BoundField DataField="Abflugort" HeaderText="Abflugort" 
      SortExpression="Abflugort" />
     <asp:BoundField DataField="Zielort" HeaderText="Zielort" 
      SortExpression="Zielort" />
     <asp:BoundField DataField="Datum" HeaderText="Datum" SortExpression="Datum" />
     <asp:CheckBoxField DataField="NichtRaucherFlug" HeaderText="NichtRaucherFlug" 
      SortExpression="NichtRaucherFlug" />
     <asp:BoundField DataField="Plaetze" HeaderText="Plaetze" 
      SortExpression="Plaetze" />
     <asp:BoundField DataField="FreiePlaetze" HeaderText="FreiePlaetze" 
      SortExpression="FreiePlaetze" />
    </Columns>
    <PagerStyle BackColor="#E7E7FF" ForeColor="#4A3C8C" HorizontalAlign="Right" />
    <HeaderStyle BackColor="#4A3C8C" Font-Bold="True" ForeColor="#F7F7F7" />
    <AlternatingRowStyle BackColor="#F7F7F7" />
    <RowStyle BackColor="#E7E7FF" ForeColor="#4A3C8C" />
   </asp:GridView>
 
   <asp:EntityDataSource ID="EDS_Fluege" runat="server" 
    AutoGenerateWhereClause="True"  ConnectionString="name=WWWings6Entities" 
    DefaultContainerName="WWWings6Entities" EnableDelete="True" EnableInsert="True" 
    EnableUpdate="True" EntitySetName="Flug" EntityTypeFilter="Flug" Select="" 
    Where="">
    <WhereParameters>
     <asp:ControlParameter ControlID="C_Abflughafen" Name="Abflugort" 
      PropertyName="SelectedValue" />
    </WhereParameters>
   </asp:EntityDataSource>
 
  </div>
</asp:Content>
