﻿<%@ Page Language="C#" AutoEventWireup="true" Trace="false" CodeFile="Fluege_LDS_ListView.aspx.cs"
 Inherits="Fluege_LDS_ListView" MasterPageFile="~/Master/WWWings.master" %>


<asp:Content ID=P1 runat=server ContentPlaceHolderID=P_MainContent>
  <div>
   <span style="font-size: 14pt;
    font-family: Arial;">Flugplanverwaltung mit Filtern, Blättern, Sortieren, Ändern
    und Löschen<br />
    <br />
   </span>Abflughafen:
   <asp:DropDownList ID="C_Abflughafen" runat="server" AutoPostBack="True" 
    DataSourceID="LDS_Orte" DataTextField="Abflugort" DataValueField="Abflugort">
   </asp:DropDownList>
   <asp:LinqDataSource ID="LDS_Orte" runat="server" 
    ContextTypeName="de.WWWings.GO.WWWings6Entities" GroupBy="Abflugort" 
    OrderGroupsBy="key" Select="new (key as Abflugort, it as Flugs)" 
    TableName="Flug">
   </asp:LinqDataSource>
   <asp:ListView ID="ListView1" runat="server" DataKeyNames="FlugNr" 
    DataSourceID="LDS_Fluege" GroupItemCount="3">
    <EmptyItemTemplate>
     <td runat="server" />
     </EmptyItemTemplate>
     <ItemTemplate>
      <td runat="server" style="background-color:#DCDCDC;color: #000000;">
       Auslastung:
       <asp:Label ID="AuslastungLabel" runat="server" 
        Text='<%# Eval("Auslastung") %>' />
       <br />
       FlugNr:
       <asp:Label ID="FlugNrLabel" runat="server" Text='<%# Eval("FlugNr") %>' />
       <br />
       Abflugort:
       <asp:Label ID="AbflugortLabel" runat="server" Text='<%# Eval("Abflugort") %>' />
       <br />
       Zielort:
       <asp:Label ID="ZielortLabel" runat="server" Text='<%# Eval("Zielort") %>' />
       <br />
       Datum:
       <asp:Label ID="DatumLabel" runat="server" Text='<%# Eval("Datum") %>' />
       <br />
       <asp:CheckBox ID="NichtRaucherFlugCheckBox" runat="server" 
        Checked='<%# Eval("NichtRaucherFlug") %>' Enabled="false" 
        Text="NichtRaucherFlug" />
       <br />
       Plaetze:
       <asp:Label ID="PlaetzeLabel" runat="server" Text='<%# Eval("Plaetze") %>' />
       <br />
       FreiePlaetze:
       <asp:Label ID="FreiePlaetzeLabel" runat="server" 
        Text='<%# Eval("FreiePlaetze") %>' />
       <br />
    
      
       
       Pilot:
       <asp:Label ID="PilotLabel" runat="server" Text='<%# Eval("Pilot.Mitarbeiter.Person.Name") %>' />
       <br />
      </td>
     </ItemTemplate>
     <AlternatingItemTemplate>
      <td runat="server" style="background-color:#FFF8DC;">
       Auslastung:
       <asp:Label ID="AuslastungLabel" runat="server" 
        Text='<%# Eval("Auslastung") %>' />
       <br />
       FlugNr:
       <asp:Label ID="FlugNrLabel" runat="server" Text='<%# Eval("FlugNr") %>' />
       <br />
       Abflugort:
       <asp:Label ID="AbflugortLabel" runat="server" Text='<%# Eval("Abflugort") %>' />
       <br />
       Zielort:
       <asp:Label ID="ZielortLabel" runat="server" Text='<%# Eval("Zielort") %>' />
       <br />
       Datum:
       <asp:Label ID="DatumLabel" runat="server" Text='<%# Eval("Datum") %>' />
       <br />
       <asp:CheckBox ID="NichtRaucherFlugCheckBox" runat="server" 
        Checked='<%# Eval("NichtRaucherFlug") %>' Enabled="false" 
        Text="NichtRaucherFlug" />
       <br />
       Plaetze:
       <asp:Label ID="PlaetzeLabel" runat="server" Text='<%# Eval("Plaetze") %>' />
       <br />
       FreiePlaetze:
       <asp:Label ID="FreiePlaetzeLabel" runat="server" 
        Text='<%# Eval("FreiePlaetze") %>' />
       <br />
    
    
    
    
       Pilot:
       <asp:Label ID="PilotLabel" runat="server" Text='<%# Eval("Pilot.Mitarbeiter.Person.Name") %>' />
       <br />
      </td>
     </AlternatingItemTemplate>
     <EmptyDataTemplate>
      <table runat="server" 
       style="background-color: #FFFFFF;border-collapse: collapse;border-color: #999999;border-style:none;border-width:1px;">
       <tr>
        <td>
         No data was returned.</td>
       </tr>
      </table>
     </EmptyDataTemplate>
     <InsertItemTemplate>
      <td runat="server" style="">
       Auslastung:
       <asp:TextBox ID="AuslastungTextBox" runat="server" 
        Text='<%# Bind("Auslastung") %>' />
       <br />
       FlugNr:
       <asp:TextBox ID="FlugNrTextBox" runat="server" Text='<%# Bind("FlugNr") %>' />
       <br />
       Abflugort:
       <asp:TextBox ID="AbflugortTextBox" runat="server" 
        Text='<%# Bind("Abflugort") %>' />
       <br />
       Zielort:
       <asp:TextBox ID="ZielortTextBox" runat="server" Text='<%# Bind("Zielort") %>' />
       <br />
       Datum:
       <asp:TextBox ID="DatumTextBox" runat="server" Text='<%# Bind("Datum") %>' />
       <br />
       <asp:CheckBox ID="NichtRaucherFlugCheckBox" runat="server" 
        Checked='<%# Bind("NichtRaucherFlug") %>' Text="NichtRaucherFlug" />
       <br />
       Plaetze:
       <asp:TextBox ID="PlaetzeTextBox" runat="server" Text='<%# Bind("Plaetze") %>' />
       <br />
       FreiePlaetze:
       <asp:TextBox ID="FreiePlaetzeTextBox" runat="server" 
        Text='<%# Bind("FreiePlaetze") %>' />
       <br />
   
   
     
       Pilot:
       <asp:TextBox ID="PilotTextBox" runat="server" Text='<%# Bind("Pilot") %>' />
       <br />
       <asp:Button ID="InsertButton" runat="server" CommandName="Insert" 
        Text="Insert" />
       <br />
       <asp:Button ID="CancelButton" runat="server" CommandName="Cancel" 
        Text="Clear" />
       <br />
      </td>
     </InsertItemTemplate>
     <LayoutTemplate>
      <table runat="server">
       <tr runat="server">
        <td runat="server">
         <table ID="groupPlaceholderContainer" runat="server" border="1" 
          style="background-color: #FFFFFF;border-collapse: collapse;border-color: #999999;border-style:none;border-width:1px;font-family: Verdana, Arial, Helvetica, sans-serif;">
          <tr ID="groupPlaceholder" runat="server">
          </tr>
         </table>
        </td>
       </tr>
       <tr runat="server">
        <td runat="server" 
         style="text-align: center;background-color: #CCCCCC;font-family: Verdana, Arial, Helvetica, sans-serif;color: #000000;">
        </td>
       </tr>
      </table>
     </LayoutTemplate>
     <EditItemTemplate>
      <td runat="server" style="background-color:#008A8C;color: #FFFFFF;">
       Auslastung:
       <asp:TextBox ID="AuslastungTextBox" runat="server" 
        Text='<%# Bind("Auslastung") %>' />
       <br />
       FlugNr:
       <asp:Label ID="FlugNrLabel1" runat="server" Text='<%# Eval("FlugNr") %>' />
       <br />
       Abflugort:
       <asp:TextBox ID="AbflugortTextBox" runat="server" 
        Text='<%# Bind("Abflugort") %>' />
       <br />
       Zielort:
       <asp:TextBox ID="ZielortTextBox" runat="server" Text='<%# Bind("Zielort") %>' />
       <br />
       Datum:
       <asp:TextBox ID="DatumTextBox" runat="server" Text='<%# Bind("Datum") %>' />
       <br />
       <asp:CheckBox ID="NichtRaucherFlugCheckBox" runat="server" 
        Checked='<%# Bind("NichtRaucherFlug") %>' Text="NichtRaucherFlug" />
       <br />
       Plaetze:
       <asp:TextBox ID="PlaetzeTextBox" runat="server" Text='<%# Bind("Plaetze") %>' />
       <br />
       FreiePlaetze:
       <asp:TextBox ID="FreiePlaetzeTextBox" runat="server" 
        Text='<%# Bind("FreiePlaetze") %>' />
       <br />
   
    
    
       Pilot:
       <asp:TextBox ID="PilotTextBox" runat="server" Text='<%# Bind("Pilot") %>' />
       <br />
       <asp:Button ID="UpdateButton" runat="server" CommandName="Update" 
        Text="Update" />
       <br />
       <asp:Button ID="CancelButton" runat="server" CommandName="Cancel" 
        Text="Cancel" />
       <br />
      </td>
     </EditItemTemplate>
     <GroupTemplate>
      <tr ID="itemPlaceholderContainer" runat="server">
       <td ID="itemPlaceholder" runat="server">
       </td>
      </tr>
     </GroupTemplate>
     <SelectedItemTemplate>
      <td runat="server" 
       style="background-color:#008A8C;font-weight: bold;color: #FFFFFF;">
       Auslastung:
       <asp:Label ID="AuslastungLabel" runat="server" 
        Text='<%# Eval("Auslastung") %>' />
       <br />
       FlugNr:
       <asp:Label ID="FlugNrLabel" runat="server" Text='<%# Eval("FlugNr") %>' />
       <br />
       Abflugort:
       <asp:Label ID="AbflugortLabel" runat="server" Text='<%# Eval("Abflugort") %>' />
       <br />
       Zielort:
       <asp:Label ID="ZielortLabel" runat="server" Text='<%# Eval("Zielort") %>' />
       <br />
       Datum:
       <asp:Label ID="DatumLabel" runat="server" Text='<%# Eval("Datum") %>' />
       <br />
       <asp:CheckBox ID="NichtRaucherFlugCheckBox" runat="server" 
        Checked='<%# Eval("NichtRaucherFlug") %>' Enabled="false" 
        Text="NichtRaucherFlug" />
       <br />
       Plaetze:
       <asp:Label ID="PlaetzeLabel" runat="server" Text='<%# Eval("Plaetze") %>' />
       <br />
       FreiePlaetze:
       <asp:Label ID="FreiePlaetzeLabel" runat="server" 
        Text='<%# Eval("FreiePlaetze") %>' />
       <br />
     
   
       Pilot:
       <asp:Label ID="PilotLabel" runat="server" Text='<%# Eval("Pilot") %>' />
       <br />
      </td>
     </SelectedItemTemplate>
    </asp:ListView>
   <br />
   <asp:LinqDataSource ID="LDS_Fluege" runat="server" 
    ContextTypeName="de.WWWings.GO.WWWings6Entities" EnableDelete="True" 
    EnableInsert="True" EnableUpdate="True" TableName="Flug" 
    Where="Abflugort == @Abflugort">
    <WhereParameters>
     <asp:ControlParameter ControlID="C_Abflughafen" Name="Abflugort" 
      PropertyName="SelectedValue" Type="String" />
    </WhereParameters>
   </asp:LinqDataSource>
  </div>
</asp:Content>
