﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Flugplan_Filter_JQuery.aspx.cs"
 Inherits="Flugplan_Filter_JQuery" MasterPageFile="Master/WWWings.Einfach.master"
 Title="AJAX Service via Data Service" %>

<asp:Content ContentPlaceHolderID="P_MainContent" runat="server">
 <%--<script src="AJAX_Hilfsroutinen.js" type="text/javascript"></script>--%>
 <script src="../App_Scripts/jquery-1.4.1.js" type="text/javascript"></script>
 <script src="../App_Scripts/jquery.dateFormat-1.0.js" type="text/javascript"></script>
 <script src="../App_Scripts/jquery.tmpl.js" type="text/javascript"></script>
 <script src="../App_Scripts/jquery.tmplPlus.js" type="text/javascript"></script>
 <script type="text/javascript">
  var ajaxRequest;

  function fdate(jsonDate) {
   var date = new Date(parseInt(jsonDate.substr(6)));
   date = $.format.date(date, "dd.MM.yyyy");
   return date;

  }


  function DatenLaden() {
   $('#C_Ausgabe').fadeOut();
   // $('#C_Tabelle').slideUp();
   if (ajaxRequest != null) {
    ajaxRequest.abort();
   }

   var abflug = $('#C_Abflugort').val();
   var URL = "/Webservice/WWWingsFlugplanDataService.svc/Flug?$inlinecount=allpages&$filter=Abflugort eq '" + abflug + "'&$skip=0";

   if ($('#C_Anzahl').val() != "Alle") { URL = URL + "&$top=" + $('#C_Anzahl').val(); }


  // $('#C_Tabelle').html("");
   ajaxRequest = $.getJSON(URL, null,
    function (data) {

     $('#C_Status').html(data.d.results.length + " von " + data.d.__count + " geladen:");

     if ($('#C_Rendering').attr("selectedIndex") == 0) {
      var sb = new Sys.StringBuilder();
      sb.append("<table>");
      CreateRows(sb, data.d.results);
      //     $.each(data.d, function (i, item) {
      //      CreateRow(sb, item)
      //     });
      sb.append("</table>");
      $('#C_Tabelle').html(sb.toString());

      //  $('#C_Tabelle').slideDown();
      // alert(sb.toString());
      //$("#C_Row_Template").tmpl(data.d).clear();
     }
     else {
      c = 0;
      $('#C_Tabelle').html($("#C_Row_Template").tmpl(data.d.results));
     }
     $('#C_Ausgabe').fadeIn();




    });
  }

  function CreateRows(sb, result) {
   for (var i = 0; i < result.length; i++) {
    if (i % 2 == 0) { sb.append("<tr bgcolor='#F7F7F7'>"); } else { sb.append("<tr bgcolor='#E7E7FF'>"); }
    sb.append("<td width=40>" + (i + 1) + ".</td>");
    sb.append("<td width=40>" + result[i].FlugNr + "</td>");
    sb.append("<td width=100>" + fdate(result[i].Datum) + "</td>");
    sb.append("<td width=100>" + result[i].Abflugort + "</td>");
    sb.append("<td width=100>" + result[i].Zielort + "</td>");
    sb.append("<td width=100>" + "<a href='F" + result[i].FlugNr + ".aspx'>Buchen</a></td>");
    sb.append("</tr>");
   }
  }

  var c = 0;

  function count() {
   c++;
   return c;
  }

  function alternate() {
   return ((c % 2) == 0);
  }

 </script>
 <style type="text/css">
  .style1
  {
   font-family: Arial;
   font-size: large;
  }
 </style>
 <div>
 </div>
 <p>
  <span>Alle Flüge von einem bestimmten Ort<br />
   Lösung mit ADO.NET Data Services </span>
 </p>
 Abflugort:
 <select id="C_Abflugort" name="C_Abflugort">
  <option value="Berlin" selected="selected">Berlin</option>
  <option value="Rom">Rom</option>
  <option value="Paris">Paris</option>
  <option value="Dallas">Dallas</option>
 </select>
 Anzahl:
 <select id="C_Anzahl" name="C_Anzahl">
  <option value="5" selected="selected">5</option>
  <option value="10">10</option>
  <option value="15">15</option>
  <option value="Alle">Alle</option>
 </select>
 Darstellung:
 <select id="C_Rendering" name="C_Rendering">
  <option value="1" selected="selected">Zeichenkettenverkpüfung</option>
  <option value="2">Templates</option>
 </select>
 <input id="C_Anfordern" type="button" value="Anfordern" onclick="DatenLaden();" />
 <br />
 <br />
 <div id="C_Status">
 </div>
 <div id="C_Ausgabe">
  <div id="C_Tabelle">
   <table>
    <%--     <th>Nr</th>   <th>FlugNr</th> <th>Datum</th> <th>Abflugort</th>  <th>Zielort</th>  --%>
   </table>
  </div>
  <script id="C_Row_Template" type="text/x-jquery-tmpl"> 

   {{if (alternate())}}
   <tr bgcolor='#E7E7FF'>
    {{else}}
    <tr bgcolor='#F7F7F7'>
   {{/if}}
   
   <td width=40>${count()}.</td>
<td width=40>${FlugNr}</td><td width=100>${fdate(Datum)}</td><td width=100>${Abflugort}</td><td width=100>${Zielort}</td> 
<td width=100><a href='F${FlugNr}.aspx'>Buchen</a></td>

</tr>
  </script>
 </div>
</asp:Content>
