﻿using System;
using System.Collections.Generic;
using System.Text;

namespace de.WWWings
{

 /// <summary>
 /// Daten einer Flugbuchung
 /// </summary>
 /// 
 [System.Serializable()]
 public class Buchung
 {
  private long buchungscode = 0;

  public Buchung(Flug f, Passagier p)
  {
   this.Flug = f;
   this.Passagier = p;
   f.Passagiere.Add(p);
   p.Buchungen.Add(this);

  }
  public long Buchungscode
  {
   get { return buchungscode; }
   set { buchungscode = value; }
  }

  public Passagier Passagier;
 public  Flug Flug;
 }
}
