﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using de.WWWings.Test.Modelle.EF5Vererbung;

namespace de.WWWings.Test.Modelle.EF5Vererbung
{
 class Test
 {

  public static void run()
  {


   EF5Vererbung db = new EF5Vererbung();

   Console.WriteLine("Alle Personen....");
   var pes = (from p in db.PE_Person select p);

   foreach (PE_Person p in pes)
   {

    Console.WriteLine(p.PE_Name + ":  " + p.GetType().FullName);
   }

   Console.WriteLine("Alle Passagiere....");
   var pss = (from p in db.PE_Person.OfType<PS_Passagier>() select p);
   foreach (PE_Person p in pss)
   {
    Console.WriteLine(p.PE_Name + ":  " + p.GetType().FullName);
   }


   Console.WriteLine("Alle Mitarbeiter....");
   var mis = (from p in db.PE_Person.OfType<MI_Mitarbeiter>() select p);

   foreach (PE_Person p in mis)
   {

    Console.WriteLine(p.PE_Name + ":  " + p.GetType().FullName);
   }


   PS_Passagier pe = (from p in db.PE_Person.OfType<PS_Passagier>() where p.PE_ID == 100 select p).FirstOrDefault();



   Console.WriteLine("Einzelperson: " + pe.PE_Name + ":  " + pe.GetType().FullName);


  }
 }
}
