using System;
using System.Collections.Generic;

namespace WWWIngs.Core.Domain
{
    /// <summary>
    /// FLFluege object for NHibernate mapped table FL_Fluege.
    /// </summary>
    [Serializable]
    public class Flug
    {

     private System.Byte[] _Timestamp;
        private System.String _FLAbflugort;
        private System.String _FLZielort;
        private System.DateTime? _FLDatum;
        private System.Boolean? _FLNichtRaucherFlug;
        private System.Int16? _FLPlaetze;
        private System.Int32? _FLFreiePlaetze;
        private System.Int32? _FLPIMIMitarbeiterNr;
        private System.Int32? _FLAnzahlStarts;
        private System.DateTime? _FLEingerichtetAm;
        private System.DateTime? _FlStartZeit;
        private System.DateTime? _FlAnkunftszeit;
        //private IList<GFGebuchteFluege> _GFGebuchteFlueges = new List<GFGebuchteFluege>();

     private int _FLFlugNr;

     public virtual int FLFlugNr
        {
         get { return _FLFlugNr; }
         set { _FLFlugNr = value; }
        }
	

         public virtual System.String FLAbflugort {
             get { return _FLAbflugort; }
             set { _FLAbflugort = value;}
         }

         public virtual System.String FLZielort {
             get { return _FLZielort; }
             set { _FLZielort = value;}
         }

         public virtual System.DateTime? FLDatum {
             get { return _FLDatum; }
             set { _FLDatum = value;}
         }

         public virtual System.Boolean? FLNichtRaucherFlug {
             get { return _FLNichtRaucherFlug; }
             set { _FLNichtRaucherFlug = value;}
         }

         public virtual System.Int16? FLPlaetze {
             get { return _FLPlaetze; }
             set { _FLPlaetze = value;}
         }

         public virtual System.Int32? FLFreiePlaetze {
             get { return _FLFreiePlaetze; }
             set { _FLFreiePlaetze = value;}
         }

         public virtual System.Int32? FLPIMIMitarbeiterNr {
             get { return _FLPIMIMitarbeiterNr; }
             set { _FLPIMIMitarbeiterNr = value;}
         }

         public virtual System.Int32? FLAnzahlStarts {
             get { return _FLAnzahlStarts; }
             set { _FLAnzahlStarts = value;}
         }

         public virtual System.DateTime? FLEingerichtetAm {
             get { return _FLEingerichtetAm; }
             set { _FLEingerichtetAm = value;}
         }

         public virtual System.DateTime? FlStartZeit {
             get { return _FlStartZeit; }
             set { _FlStartZeit = value;}
         }

         public virtual System.DateTime? FlAnkunftszeit {
             get { return _FlAnkunftszeit; }
             set { _FlAnkunftszeit = value;}
         }

         protected virtual byte[] Timestamp
     {
      get { return _Timestamp; }
      set { _Timestamp = value; }
     }

     //public virtual IList<GFGebuchteFluege> GFGebuchteFlueges{
         //    get { return _GFGebuchteFlueges; }
         //    set { _GFGebuchteFlueges = value; }
         //}


     

     }
}
