﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace NET4_GL
{

  /// <summary>
  /// Beispielklasse, u.a. für Code-Contracts
  /// </summary>
  public class Person
  {
    public static List<Person> Personen = new List<Person>();

    public string Name { get; set; }
    public string Ort { get; set; }
    public string Vorname { get; set; }
    public DateTime Geb { get; set; }
    public float Gehalt { get; set; }
    public byte KundenStatus { get; set; }

    public static Person Create(string Name, string Ort = "Keine Angabe", byte KundenStatus = 1)
    {
    //  System.Diagnostics.Contracts.Contract.Requires(Name.Length > 0);
      Person p = new Person();
      p.Name = Name;
      p.Ort = Ort;
      p.KundenStatus = KundenStatus;
      Personen.Add(p);
      Console.WriteLine("Neue Person erzeugt!");
  //    System.Diagnostics.Contracts.Contract.Ensures(p != null);
      return p;
    }

    public static bool Delete(Person p)
    {
      return Personen.Remove(p);
    }

    public void Gehaltserhoehung(float Betrag)
    {
      this.Gehalt += Betrag * 0.9f;
    }


  }
}
