﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace VerschiedeneDemos_CS.Sprachsyntax
{
 public class CS10_Parameter
 {
  public static void Run()
  {
   CS10_Parameter obj = new CS10_Parameter();
   obj.Print("Ausgabe ohne spezielle Farbe und ohne Datum.");
   obj.Print("Ausgabe in grün und ohne Datum.", ConsoleColor.Green);
   obj.Print("Ausgabe in grün und mit Datum.", ConsoleColor.Green, true);
   obj.Print(text: "Ausgabe ohne spezielle Farbe und mit Datum.", Datum: true);
  }


  /// <summary>
  /// Methode mit zwei optionalen Parametern
  /// </summary>
  public void Print(string text, ConsoleColor Farbe = ConsoleColor.Gray, bool Datum = false)
  {
   if (Datum) text = DateTime.Now.ToShortTimeString() + ": " + text;
   ConsoleColor bisherigeFarbe = Console.ForegroundColor;
   Console.ForegroundColor = Farbe;
   Console.WriteLine(text);
   Console.ForegroundColor = bisherigeFarbe;
  }

  // ###################################################################################################################

  public static void MsgBox(string text, string caption = "Hinweis")
  {
   MessageBox.Show(caption: caption, text: text);
  }


  public static void RunDemo2()
  {
   // bisher war nur möglich:
   //MessageBox.Show("Demo für benannte Parameter!", "Hinweis");
   // Jetzt ist auch möglich:
   //MessageBox.Show(caption: "Hinweis", text: "Demo für benannte Parameter!");


   // Aufruf in externer DLL
   NET4_GL.Person p1 = NET4_GL.Person.Create("Meier");
   Console.WriteLine(p1.Name);
   NET4_GL.Person p2 = NET4_GL.Person.Create("");

   Console.WriteLine(p2.Name);
  }

 }
}
