#Region "Using directives"


Imports Microsoft.VisualBasic
Imports System
Imports System.Collections.Generic
Imports System.Text

#End Region

Imports System.Collections
Imports de.ITVisions.DemoViewer

Namespace NET2.FCL

 <de.ITVisions.DemoViewer.Demo> _
 Public Class CollectionDemo
  Public Sub run()
   ' untypisierte Kollektion
   Dim Kunden1 As System.Collections.Queue = New System.Collections.Queue()
   Kunden1.Enqueue(New Kunde())
   Kunden1.Enqueue(New StammKunde())
   Kunden1.Enqueue(New Lieferant())

   ' Generische Kollektion
   Dim Kunden2 As System.Collections.Generic.Queue(Of Kunde) = New System.Collections.Generic.Queue(Of Kunde)()
   Kunden2.Enqueue(New Kunde())
   Kunden2.Enqueue(New StammKunde())
   'Kunden2.Enqueue(new Lieferant());
   ' Compilerfehler: 

   'Kundenliste Kunden3 = new Kundenliste();
   'Kunden3.Add(


  End Sub
 End Class

 'public class Kundenliste : System.Collections.Generic.List<Kunde>
 '{

 '}

 Class NeuerKunde
  Implements System.IComparable

  Public ID As Integer

  Public Function CompareTo(ByVal obj As Object) As Integer Implements System.IComparable.CompareTo
   If (ID = obj.ID) Then Return 0
   If (ID < obj.ID) Then Return -1
   Return +1
  End Function



  Sub Run()
   Dim k1 As New NeuerKunde With {.ID = 1}
   Dim k2 As New NeuerKunde With {.ID = 2}
   Dim k3 As New NeuerKunde With {.ID = 3}

   Dim s As New SortedSet(Of NeuerKunde)

   s.Add(k1)
   s.Add(k2)
   s.Add(k3)
   s.Add(k1)

   Console.WriteLine(s.Count)
   Console.ReadLine()

  End Sub
 End Class
End Namespace
