﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.SessionState;
using System.Web.Routing;

namespace ASPNET4Demos
{
  public class Global : System.Web.HttpApplication
  {

    protected void Application_Start(object sender, EventArgs e)
    {
     // Routing für: http://localhost/Chart/Berlin --> http://localhost/NeueSteuerelemente/Chart2.aspx?Ort=Berlin
     // damit auch Chart-Handler auf der Zielseite noch funktioniert!
     RouteTable.Routes.Ignore("Chart/ChartImg.axd"); 

      RouteTable.Routes.MapPageRoute(
        // beliebiger Name für Route
        "Chart2Route",  
        // Alias-URL mit Platzhalter. Der Name des Platzhalters muss dem von der Zielsatz erwarteteten Querystring-Parameternamen entsprechen
        "Chart/{Ort}",
        // Zielseite
        "~/NeueSteuerelemente/Chart2.aspx");


    }

    protected void Session_Start(object sender, EventArgs e)
    {

    }

    protected void Application_BeginRequest(object sender, EventArgs e)
    {

    }

    protected void Application_AuthenticateRequest(object sender, EventArgs e)
    {

    }

    protected void Application_Error(object sender, EventArgs e)
    {

    }

    protected void Session_End(object sender, EventArgs e)
    {

    }

    protected void Application_End(object sender, EventArgs e)
    {

    }
  }
}