﻿using System;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.ServiceModel.Activation;
using System.ServiceModel.Web;
using System.Collections.Generic;
using WebSvc;

namespace WebSvc
{

  public class Flug
  {
    public Int32 FlugNr;
    public string Abflugort;
    public string Zielort;
    public short? FreiePlaetze;
    public DateTime Datum;
  }


}
    [ServiceContract(Namespace = "")]
    [AspNetCompatibilityRequirements(RequirementsMode = AspNetCompatibilityRequirementsMode.Allowed)]
    public class Flugplanservice_WCFAJAX
    {

  

        // Nur zum Test
        [OperationContract]
        public void DoWork()
        {
            return;
        }



        //[OperationContract]
        //public List<WWWings35_GO.LTS.Flug> HoleAlleFluege()
        //{
        //    return new WWWings35_BL.FlugBLManager().HoleAlle();
        //}

        //[OperationContract]
        //public List<WWWings35_GO.LTS.Flug> HoleEinigeFluege()
        //{
        //    return new WWWings35_BL.FlugBLManager().HoleAlle().Take(20).ToList();
        //}



        //[OperationContract]
        //public de.WWWings.Flug GetFlight(long FlightNo)
        //{
        //    return de.WWWings.FlugBLManager.HoleFlug(FlightNo);
        //}

        //[WebMethod()]
        //public System.Data.DataSet GetAllFlights()
        //{
        // //Return New Data.DataSet()
        // return de.WWWings.DAL.Flug_DataManager.AlleFluege_DS();
        //}

        //[OperationContract]
        //public string[] GetDestinations(string Abflugort)
        //{
        //    return de.WWWings.FlugBLManager.Ziele_Fuer_Abflugort(Abflugort);
        //}


        //[OperationContract]
        //public de.WWWings.FlugMenge HoleAlleVon(string Ort)
        //{
        //    return de.WWWings.FlugBLManager.HoleAlle(Ort);
        //}

        [OperationContract]
        public PagedResult<Flug> HoleAlleVon35(string Ort, int Anzahl, int Start)
        {
            WWWings35_BL.EF.FlugBLManager bl = new WWWings35_BL.EF.FlugBLManager();
            PagedResult<Flug> p = new PagedResult<Flug>();
            p.Rows = (from f in bl.GetFluegeVonOrt_Paging(Ort, "Abflugort", Anzahl, Start) select new Flug { FlugNr = f.FlugNr, Abflugort = f.Abflugort, Zielort = f.Zielort, Datum = f.Datum, FreiePlaetze = f.FreiePlaetze.Value }).ToList();
            p.Total = bl.CountFluegeVonOrt(Ort);
            return p;
        }

        [OperationContract]
        public List<Flug> GetFluegeByOrt35(string Ort)
        {
            WWWings35_BL.EF.FlugBLManager bl = new WWWings35_BL.EF.FlugBLManager();

            return (from f in bl.GetFluegeVonOrt(Ort) select new Flug { FlugNr = f.FlugNr, Abflugort = f.Abflugort, Zielort = f.Zielort, Datum = f.Datum, FreiePlaetze = f.FreiePlaetze }).ToList();

        }

        //[OperationContract]
        //public bool Save(WWWings35_GO.EF.Flug flugNeu)
        //{
        //    WWWings35_BL.EF.FlugBLManager bl = new WWWings35_BL.EF.FlugBLManager();

        //    return bl.SaveFlug(flugNeu);

        //}

        [OperationContract]
        public List<Flug> HoleEinigeFluege35()
        {
            WWWings35_BL.FlugBLManager bl = new WWWings35_BL.FlugBLManager();

            return (from f in bl.HoleAlle().Take(20) select new Flug { FlugNr = f.FlugNr, Abflugort = f.Abflugort, Zielort = f.Zielort, Datum = f.Datum, FreiePlaetze = (short)f.FreiePlaetze }).ToList();

        }


        // HS 31.08.2009 
        // Webdienst für AJAX Grid und Pager von Kazi Manzur (http://dotnetslackers.com/articles/ajax/ASPNETAjaxGridAndPager.aspx)
        //[OperationContract]
        //public PagedResult<WWWings35_GO.EF.Flug> HoleAlleVonPaging(string Ort, int start, int max, string sortColumn, string sortOrder)
        //{

        // WWWings35_GO.EF.CS_EF_WWWings model = new WWWings35_GO.EF.CS_EF_WWWings();
        // //var fluege = (from f in model.Flug where f.Abflugort == Ort orderby f.FlugNr select f).Skip(start).Take(max);
        // var fluege = (from f in model.Flug where f.Abflugort == Ort select f).Take(1);

        // PagedResult<WWWings35_GO.EF.Flug> p = new PagedResult<WWWings35_GO.EF.Flug>();
        // p.Rows = fluege.ToList();
        // p.Total = (from f in model.Flug where f.Abflugort == Ort select f).Count();

        // model.Dispose();
        // return p;
        //}

        //[OperationContract]
        //public PagedResult<de.WWWings.Flug> HoleAlleVonPaging(string Ort, int start, int max, string sortColumn, string sortOrder)
        //{


        //    PagedResult<de.WWWings.Flug> p = new PagedResult<de.WWWings.Flug>();
        //    p.Rows = de.WWWings.FlugBLManager.HoleAlle(Ort, max, start).ToList();
        //    p.Total = de.WWWings.FlugBLManager.AnzFluege(Ort);


        //    return p;
        //}

    }
    [Serializable]
    public class PagedResult<T>
    {
        public long Total;
        public List<T> Rows;
    }