﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Flugplan_Filter_DataContext_ADS.aspx.cs"
 Inherits="Flugplan_Filter_DataView_ADS_Filter2" MasterPageFile="WWWings.Einfach.master" %>


<asp:Content ID="P1" ContentPlaceHolderID="P_Head" runat="server">
     <script src="/Scripts/MicrosoftAjax/Start.debug.js" type="text/javascript"></script>
      <script type="text/javascript" src="/Scripts/MicrosoftAjax/MicrosoftAjax.debug.js"></script>
 <style type="text/css">
  .sys-template
  {
   visibility: hidden;
  }
  .myselected
  {
   color: white;
   font-weight: bold;
   background-color: Silver;
  }
 </style>

 <script type="text/javascript">
     // Aktivieren des DOM verzögern
     Sys.activateDom = false;


        // ============== Globale Variablen
        var Tabelle, Daten, dataContext;

        // Laden der notwendigen Bibliotheken
        Sys.require([Sys.components.dataView, Sys.components.adoNetDataContext]);

        // Parameter für Data Service
        var Parameter = { $filter: "Abflugort eq ''" }
        
        // Data Service festlegen

        Sys.onReady(function () {
            dataContext = Sys.create.adoNetDataContext({
                serviceUri: "/Webservice/WWWingsFlugplanDataService.svc",
                mergeOption: Sys.Data.MergeOption.appendOnly
            });

            Sys.Application.activateElement(document.documentElement);
        });


  

        // ============== Fehlerfall
        function Fehler(sender, error) {
            ///<summary>Zeigt den Fehler anstelle der Tabelle an</summary>
            ///<param name="error" type="Error Object">Fehlerinformation</param>
            ///<returns>string</returns>
            var text = "Fehler bei der AJAX-Verarbeitung auf dem Server: " + error.get_error().get_message();
            alert(text);
        }

        // ============== Daten laden
        function StartLaden(sender, args) {
            Tabelle = $find("C_Fluege");
             Parameter.$filter = "Abflugort eq '" + $get("C_Orte").value + "'";

            Tabelle.fetchData(null, null, Sys.Data.MergeOption.overwriteChanges);
            $get("C_Fluege_Label").innerText = "Flüge von " + $get("C_Orte").value + ":";
        }

        
        // ============== Daten geladen
        function onRendering(sender, args) {
             Daten = args.get_data();
            Sys.Observer.makeObservable(Daten);
        }
 </script>

</asp:Content>
<asp:Content ID="P2" ContentPlaceHolderID="P_MainContent" runat="server">

 <div>
  <p>
   Abflugort:
   <select id="C_Orte" name="D1" onchange="StartLaden();">
    <option value="">Bitte wählen</option>
    <option value="Rom">Rom</option>
    <option value="Paris">Paris</option>
    <option value="London">London</option>
    <option value="Berlin">Berlin</option>
   </select><br />
  </p>
  <hr />
  <div id="C_Fluege_Label">
   Flüge:</div>
  <div>
   <table border="0" id="C_Fluege" class="sys-template" 
    sys:attach="dataview" 
    dataview:autofetch="true"
    dataview:dataprovider="{{ dataContext }}" 
    dataview:fetchoperation="Flug" 
    dataview:fetchparameters="{{ Parameter }}"
      dataview:onrendering="{{ onRendering }}" 
 
   >
    <tr style="background-color: #F7F7F7" sys:if="$index%2 == 0" />
    <td>
     {{ $index}}
    </td>
    <td>
     {{ FlugNr }}
    </td>
    <td>
     {{ Abflugort }}
    </td>
    <td>
     {{ Zielort }}
    </td>
    <td>
   {{ Datum.format('dd.MM.yyyy') }}
    </td>
    <td>
     {{ FreiePlaetze }}
    </td>
    </tr>
    <tr style="background-color: #E7E7FF" sys:if="$index%2 == 1" />
    <td>
     {{ $index }}
    </td>
    <td>
     {{ FlugNr }}
    </td>
    <td>
     {{ Abflugort }}
    </td>
    <td>
     {{ Zielort }}
    </td>
    <td>
   {{ Datum.format('dd.MM.yyyy') }}
    </td>
    <td>
     {{ FreiePlaetze }}
    </td>
    </tr>
   </table>
   <%-- <ul id="C_Fluege" >
      <li>von {{ FL_Abflugort }}</li>
    </ul>--%>
  </div>
 </div>
</asp:Content>
