﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="EDSdemo_QueryExtender.aspx.cs"
 Inherits="ASPNET4Demos.EDS.EDSdemo_QE" MasterPageFile="~/WWWings.Einfach.master"
 Title="Flugsuche mit ASP.NET 4.0-QueryExtender" %>

<%@ Register Assembly="System.Web.Entity, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089"
 Namespace="System.Web.UI.WebControls" TagPrefix="asp" %>
<asp:Content ID="C" runat="server" ContentPlaceHolderID="P_MainContent">
 <asp:ScriptManager ID="ScriptManager1" runat="server">
 </asp:ScriptManager>
 <!-- Filter-Steuerelemente ------------------------------------------------------ -->
 &nbsp;FlugNr:
 <asp:TextBox ID="C_FlugNr" runat="server" Width="57px"></asp:TextBox>
 Abflugort:
 <asp:DropDownList ID="C_Ort" runat="server" AutoPostBack="false">
  <asp:ListItem>Rom</asp:ListItem>
  <asp:ListItem>Paris</asp:ListItem>
  <asp:ListItem>New York</asp:ListItem>
  <asp:ListItem>Berlin</asp:ListItem>
 </asp:DropDownList>
 &nbsp;Plätze:
 <asp:TextBox ID="C_Plaetze" runat="server" Width="57px"></asp:TextBox>
 &nbsp;<asp:CheckBox ID="C_Raucherfluege" runat="server" Text="Raucherflüge" />
 <br />
 <asp:CheckBox ID="C_KeinDatum" runat="server" AutoPostBack="true" Text="Beliebiges Datum"
  OnCheckedChanged="C_KeinDatum_CheckedChanged" />
 <asp:Calendar ID="C_Datum" runat="server" BackColor="White" BorderColor="Black" BorderStyle="Solid"
  CellSpacing="1" Font-Names="Verdana" Font-Size="9pt" ForeColor="Black" Height="101px"
  NextPrevFormat="ShortMonth" Width="179px">
  <DayHeaderStyle Font-Bold="True" Font-Size="8pt" ForeColor="#333333" Height="8pt" />
  <DayStyle BackColor="#CCCCCC" />
  <NextPrevStyle Font-Bold="True" Font-Size="8pt" ForeColor="White" />
  <OtherMonthDayStyle ForeColor="#999999" />
  <SelectedDayStyle BackColor="#333399" ForeColor="White" />
  <TitleStyle BackColor="#333399" BorderStyle="Solid" Font-Bold="True" Font-Size="12pt"
   ForeColor="White" Height="12pt" />
  <TodayDayStyle BackColor="#999999" ForeColor="White" />
 </asp:Calendar>
 &nbsp; Tageszeit: &nbsp;<asp:DropDownList ID="C_Tageszeit" runat="server" AutoPostBack="false">
  <asp:ListItem>Egal</asp:ListItem>
  <asp:ListItem>Morgens</asp:ListItem>
  <asp:ListItem>Nachmittags</asp:ListItem>
  <asp:ListItem>Abends</asp:ListItem>
 </asp:DropDownList>
 &nbsp;<asp:Button ID="C_Suchen" runat="server" Text="Suchen" OnClick="C_Suchen_Click" />
 <br />
 <!-- Grid ------------------------------------------------------ -->
 <asp:GridView ID="GridView1" runat="server" DataKeyNames="FlugNr" DataSourceID="LinqDataSource1"
  AutoGenerateColumns="False" CellPadding="4" ForeColor="#333333" GridLines="None"
  AllowPaging="True">
  <AlternatingRowStyle BackColor="White" ForeColor="#284775" />
  <Columns>
   <asp:CommandField ShowSelectButton="True" />
   <asp:BoundField DataField="FlugNr" HeaderText="FlugNr" SortExpression="FlugNr" />
   <asp:BoundField DataField="Abflugort" HeaderText="Abflugort" SortExpression="Abflugort" />
   <asp:BoundField DataField="Zielort" HeaderText="Zielort" SortExpression="Zielort" />
   <asp:BoundField DataField="Datum" DataFormatString="{0:dd.MM.yyyy HH:mm}" HeaderText="Datum"
    SortExpression="Datum" />
   <asp:CheckBoxField DataField="NichtRaucherFlug" HeaderText="NichtRaucherFlug" SortExpression="NichtRaucherFlug" />
   <asp:BoundField DataField="FreiePlaetze" HeaderText="FreiePlaetze" SortExpression="FreiePlaetze" />
  </Columns>
  <EditRowStyle BackColor="#999999" />
  <FooterStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
  <HeaderStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
  <PagerStyle BackColor="#284775" ForeColor="White" HorizontalAlign="Center" />
  <RowStyle BackColor="#F7F6F3" ForeColor="#333333" />
  <SelectedRowStyle BackColor="#E2DED6" Font-Bold="True" ForeColor="#333333" />
 </asp:GridView>
 <!-- Datenquellensteuerelement ------------------------------------------------------ -->
 <asp:LinqDataSource ID="LinqDataSource1" runat="server" ContextTypeName="WWWings35_GO.EF.WWWings6EF"
  EntityTypeName="" TableName="Flug" OrderBy="Datum">
 </asp:LinqDataSource>
 <!-- QueryExtender ------------------------------------------------------ -->
 <asp:QueryExtender ID="QueryExtender1" TargetControlID="LinqDataSource1" runat="server">
 <asp:PropertyExpression>
   <asp:ControlParameter Name="FlugNr" ControlID="C_FlugNr" />
  </asp:PropertyExpression>

  <asp:SearchExpression DataFields="Abflugort" SearchType="StartsWith">
   <%-- <asp:QueryStringParameter Name="Abflugort" QueryStringField="Ort" Type="String" />--%>
   <asp:ControlParameter ControlID="C_Ort" PropertyName="SelectedValue" />
  </asp:SearchExpression>
  <asp:RangeExpression DataField="FreiePlaetze" MinType="Inclusive" MaxType="Inclusive">
   <asp:ControlParameter ControlID="C_Plaetze" />
   <asp:Parameter DefaultValue="250" />
  <asp:RouteParameter RouteKey
  </asp:RangeExpression>
  <asp:CustomExpression OnQuerying="FlugFilter_Zeit">
  </asp:CustomExpression>
  <asp:MethodExpression MethodName="FlugFilter_Datum">
  </asp:MethodExpression>
 </asp:QueryExtender>
</asp:Content>
