﻿using System;
using WWWings35_GO.EF;

namespace ASPNET4Demos_LIB
{

  /// <summary>
  ///   ASP.NET 4.0 AutoStart-Provider (alias Preload-Provider)
  /// </summary>
  public class WorldWideWingsAutoStart : System.Web.Hosting.IProcessHostPreloadClient
  {
    public void Preload(string[] parameters)
    {

     if (!System.IO.Directory.Exists(@"c:\temp")) System.IO.Directory.CreateDirectory(@"c:\temp");
     
     // Protokollierung
      System.IO.StreamWriter sw = new System.IO.StreamWriter(@"c:\temp\autostartlog.txt", true);
      sw.WriteLine("Autostart beginning: " + DateTime.Now);
      if (parameters != null) sw.WriteLine(String.Join(";", parameters));

      // Erste Instanz des EF-Modells
      WWWings35_GO.EF.WWWings6EF modell = new WWWings35_GO.EF.WWWings6EF();
      // Erste Speicheroperation

      var p = new Protokoll();
      p.Zeit = DateTime.Now;
      p.Text = "ASP.NET Webapp Preload";
      modell.AddToProtokoll(p);
      modell.SaveChanges();

      // Protokollierung
      sw.WriteLine("Autostart completed: " + DateTime.Now);
      sw.Close();

    }
  }
}
