﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using WWWings35_GO;
using WWWings35_GO.LTS;

namespace WWWings35_DZ
{
 public class BuchungsDataManager
 {
  LTSModellDataContext db = new LTSModellDataContext();

  public bool NewBuchung(int PNummer, int FNummer, int Buchungscode)
  {
   try
   {

    // mit LINQ-to-SQL aber über SQL: (VERALTERT!)
    //db.ExecuteCommand("Insert into GF_GebuchteFluege (GF_FL_FlugNr,GF_PS_ID, GF_Buchungscode) values ( " +  FNummer + "," + PNummer + "," + Buchungscode + ")");

    // mit LINQ-to-SQL;
    Flug_Passagier b = new Flug_Passagier();
    b.Flug_FlugNr = FNummer;
    b.Passagier_PersonID = PNummer;

    db.Flug_Passagier.InsertOnSubmit(b); // Einfügen
    db.SubmitChanges(); // Speichern
    return true;
   }
   catch (Exception)
   {
    return false;
   }
  }

  public bool RemoveBuchung(int PNummer, int FNummer)
  {

   // Besser:
   int Anz = db.ExecuteCommand("Delete from GF_GebuchteFluege where GF_FL_FlugNr = " + FNummer + " and GF_PS_ID = " + PNummer);
   return (Anz == 1);

   // oder mit LINQ, dann aber zuerst Laden und dann Löschen:
   //try
   //{
   // var buchung = (from b in db.Buchung where b.GF_FL_FlugNr == FNummer && b.GF_PS_ID == PNummer select b).SingleOrDefault();
   // db.Buchung.DeleteOnSubmit(buchung);

   // db.SubmitChanges();
   // return true;
   //}
   //catch (Exception)
   //{
   // return false;
   //}

  }
 }
}
