﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

using System.Collections;
using WWWings_GO.STE;

namespace WWWings_EF4_WPF
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Fluganzeige_Leer : Window
    {
     public Fluganzeige_Leer()
        {
            InitializeComponent();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
           
        }

        private void Window_Closing(object sender, System.ComponentModel.CancelEventArgs e)
        {
          
        }
      WWWings6STE db = new WWWings6STE();
        private void C_Lesen_Click(object sender, RoutedEventArgs e)
        {
        string Ort = this.C_Orte.Text.ToString();

            // DB DIREKT
        this.flugDataGrid.ItemsSource = (from f in db.Flug where f.Abflugort == Ort select f).ToList();

            // APP SERVER
           App c = new WWWings_EF4_WPF.WCFClient.Service1Client();
           this.flugDataGrid.ItemsSource = c.GetFluege(Ort) ;
        }

        private void C_Speichern_Click(object sender, RoutedEventArgs e)
        {
            string Ergebnis = "";
            // DB DIREKT
            Ergebnis = db.SaveChanges().ToString();

            // APP SERVER
            WCFClient.Service1Client c = new WWWings_EF4_WPF.WCFClient.Service1Client();
            Ergebnis = c.SaveFluege(this.flugDataGrid.ItemsSource as List<Flug>);

            MessageBox.Show(Ergebnis, "Gespeichert");
        }

        private void C_Test_Click(object sender, RoutedEventArgs e)
        {
         // APP SERVER
            WCFClient.Service1Client c = new WWWings_EF4_WPF.WCFClient.Service1Client();
            MessageBox.Show(c.Hello("Holger"), "Verbindungstest");
        }
    }
}
