using System;
using System.Collections.Generic;
using System.Text;

using System.Management.Automation;
using System.Management;

namespace de.ITVisions.PowerShell
{
 [Cmdlet(VerbsCommon.Get, "Passagier", DefaultParameterSetName = "")]
 public class Get_Fluege : PSCmdlet
 {
  [Parameter(Position = 0, ValueFromPipeline = true, HelpMessage = "Optionale Angabe: Abflugort")]
  public long ID = 0;

  protected override void ProcessRecord()
  {
   Util.SetConnection(this);
   if ((this.ID > 0 ) )
   {
    this.WriteObject(de.WWWings.Passagier_BLManager.HolePassagier(this.ID));
   }
   else
   {
    this.WriteObject(de.WWWings.Passagier_BLManager.HoleAlle(),true);
   }
  }
 }
}


