﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace WWWings_Silverlight
{
 public partial class FlugDetails : ChildWindow
 {

  public object CurrentItem
  {

   get
   {
    return this.C_DataForm.CurrentItem;
   }
   set
   {
    this.C_DataForm.CurrentItem = value;
   }

  }

  public event EventHandler FlugChanged;


  public FlugDetails()
  {
   InitializeComponent();
   this.C_DataForm.CurrentItemChanged += new EventHandler<EventArgs>(C_DataForm_CurrentItemChanged);
  }

  void C_DataForm_CurrentItemChanged(object sender, EventArgs e)
  {
   if (FlugChanged != null) FlugChanged(C_DataForm.CurrentItem as de.WWWings.GO.Flug, null);
  }

  private void OKButton_Click(object sender, RoutedEventArgs e)
  {
   this.DialogResult = true;
   this.Close();
  }

  private void CancelButton_Click(object sender, RoutedEventArgs e)
  {
   this.DialogResult = false;
   this.Close();
  }

  private void DataForm_EditEnding(object sender, DataFormEditEndingEventArgs e)
  {
 
   this.DialogResult = true;
   this.Close();
  }
 }
}

