﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Runtime.Serialization;

namespace SilverlightSharedLibrary
{

  public class ComputerInfo
  {
    public DateTime DateTime;
    public string ComputerName;
    public string OS;
    public string OSProductName;
    public string OSBuild;
    public string Webserver;
    public string Hardware;
    public string Identity;
    public string Assembly;

    public ComputerInfo()
    {
      this.DateTime = DateTime.Now;
      this.OS = System.Environment.OSVersion.Platform.ToString() + " " + System.Environment.OSVersion.Version.ToString();
      this.Hardware = System.Environment.ProcessorCount + " CPUs";
      this.Assembly = System.Reflection.Assembly.GetCallingAssembly().FullName;
    }
  }

  public class ServerInfo : ComputerInfo
  {
    public string AuthenticatedUser;
  }

  public class ClientInfo : ComputerInfo
  {


  }
}
