﻿using WebUI_MVC.Controllers;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using Microsoft.VisualStudio.TestTools.UnitTesting.Web;
using System.Web.Mvc;

namespace WebUI_MVC.Tests
{
    
    
    /// <summary>
    ///This is a test class for FlugControllerTest and is intended
    ///to contain all FlugControllerTest Unit Tests
    ///</summary>
 [TestClass()]
 public class FlugControllerTest
 {


  private TestContext testContextInstance;

  /// <summary>
  ///Gets or sets the test context which provides
  ///information about and functionality for the current test run.
  ///</summary>
  public TestContext TestContext
  {
   get
   {
    return testContextInstance;
   }
   set
   {
    testContextInstance = value;
   }
  }

  #region Additional test attributes
  // 
  //You can use the following additional attributes as you write your tests:
  //
  //Use ClassInitialize to run code before running the first test in the class
  //[ClassInitialize()]
  //public static void MyClassInitialize(TestContext testContext)
  //{
  //}
  //
  //Use ClassCleanup to run code after all tests in a class have run
  //[ClassCleanup()]
  //public static void MyClassCleanup()
  //{
  //}
  //
  //Use TestInitialize to run code before running each test
  //[TestInitialize()]
  //public void MyTestInitialize()
  //{
  //}
  //
  //Use TestCleanup to run code after each test has run
  //[TestCleanup()]
  //public void MyTestCleanup()
  //{
  //}
  //
  #endregion


  /// <summary>
  ///A test for Index
  ///</summary>
  // TODO: Ensure that the UrlToTest attribute specifies a URL to an ASP.NET page (for example,
  // http://.../Default.aspx). This is necessary for the unit test to be executed on the web server,
  // whether you are testing a page, web service, or a WCF service.
  [TestMethod()]
  //[HostType("ASP.NET")]
  //[AspNetDevelopmentServerHost("H:\\WWW\\WebUI_MVC", "/")]
  //[UrlToTest("http://localhost:11119/Flug")]
  public void Flug_IndexTest()
  {
   FlugController target = new FlugController(); // TODO: Initialize to an appropriate value
   ActionResult actual;
   actual = target.Index();
   Assert.AreEqual("", (actual as ViewResult).ViewName);
 
  }

  /// <summary>
  ///A test for Edit
  ///</summary>
  // TODO: Ensure that the UrlToTest attribute specifies a URL to an ASP.NET page (for example,
  // http://.../Default.aspx). This is necessary for the unit test to be executed on the web server,
  // whether you are testing a page, web service, or a WCF service.
  [TestMethod()]
  [HostType("ASP.NET")]
  [AspNetDevelopmentServerHost("H:\\WWW\\WebUI_MVC", "/")]
  [UrlToTest("http://localhost:11119/")]
  public void Flug_EditTest1()
  {
   FlugController target = new FlugController(); // TODO: Initialize to an appropriate value
   int id = 101; // TODO: Initialize to an appropriate value
   ActionResult actual;
   actual = target.Edit(id);
   Assert.AreEqual("Edit", (actual as ViewResult).ViewName);
  }

  /// <summary>
  ///A test for Edit
  ///</summary>
  // TODO: Ensure that the UrlToTest attribute specifies a URL to an ASP.NET page (for example,
  // http://.../Default.aspx). This is necessary for the unit test to be executed on the web server,
  // whether you are testing a page, web service, or a WCF service.
  [TestMethod()]
  //[HostType("ASP.NET")]
  //[AspNetDevelopmentServerHost("H:\\WWW\\WebUI_MVC", "/")]
  //[UrlToTest("http://localhost:11119/")]
  public void Flug_EditTest()
  {
   FlugController target = new FlugController(); // TODO: Initialize to an appropriate value
   FormCollection form = new FormCollection();
   form.Add("FlugNr", "101");

   ActionResult actual;
   actual = target.Edit(form);
   Assert.AreEqual("Edit", (actual as ViewResult).ViewName);
  }

  /// <summary>
  ///A test for Delete
  ///</summary>
  // TODO: Ensure that the UrlToTest attribute specifies a URL to an ASP.NET page (for example,
  // http://.../Default.aspx). This is necessary for the unit test to be executed on the web server,
  // whether you are testing a page, web service, or a WCF service.
  [TestMethod()]
  [HostType("ASP.NET")]
  [AspNetDevelopmentServerHost("H:\\WWW\\WebUI_MVC", "/")]
  [UrlToTest("http://localhost:11119/")]
  public void Flug_DeleteTest()
  {
   FlugController target = new FlugController(); // TODO: Initialize to an appropriate value
   int id = 0; // TODO: Initialize to an appropriate value
   ActionResult expected = null; // TODO: Initialize to an appropriate value
   ActionResult actual;
   actual = target.Delete(id);
   Assert.AreEqual(expected, actual);
   Assert.Inconclusive("Verify the correctness of this test method.");
  }

  /// <summary>
  ///A test for Add
  ///</summary>
  // TODO: Ensure that the UrlToTest attribute specifies a URL to an ASP.NET page (for example,
  // http://.../Default.aspx). This is necessary for the unit test to be executed on the web server,
  // whether you are testing a page, web service, or a WCF service.
  [TestMethod()]
  [HostType("ASP.NET")]
  [AspNetDevelopmentServerHost("H:\\WWW\\WebUI_MVC", "/")]
  [UrlToTest("http://localhost:11119/")]
  public void Flug_AddTest1()
  {
   FlugController target = new FlugController(); // TODO: Initialize to an appropriate value
   ActionResult expected = null; // TODO: Initialize to an appropriate value
   ActionResult actual;
   actual = target.Add();
   Assert.AreEqual(expected, actual);
   Assert.Inconclusive("Verify the correctness of this test method.");
  }

  /// <summary>
  ///A test for Add
  ///</summary>
  // TODO: Ensure that the UrlToTest attribute specifies a URL to an ASP.NET page (for example,
  // http://.../Default.aspx). This is necessary for the unit test to be executed on the web server,
  // whether you are testing a page, web service, or a WCF service.
  [TestMethod()]
  [HostType("ASP.NET")]
  [AspNetDevelopmentServerHost("H:\\WWW\\WebUI_MVC", "/")]
  [UrlToTest("http://localhost:11119/")]
  public void Flug_AddTest()
  {
   FlugController target = new FlugController(); // TODO: Initialize to an appropriate value
   FormCollection form = null; // TODO: Initialize to an appropriate value
   ActionResult expected = null; // TODO: Initialize to an appropriate value
   ActionResult actual;
   actual = target.Add(form);
   Assert.AreEqual(expected, actual);
   Assert.Inconclusive("Verify the correctness of this test method.");
  }
 }
}
