﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Web.Mvc;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using WebUI_MVC;
using WebUI_MVC.Controllers;

namespace WebUI_MVC.Tests.Controllers
{
 [TestClass]
 public class HomeControllerTest
 {
  [TestMethod]
  public void Home_Index()
  {
   // Arrange
   HomeController controller = new HomeController();

   // Act
   ViewResult result = controller.Index() as ViewResult;

   // Assert
   ViewDataDictionary viewData = result.ViewData;
   Assert.AreEqual("Welcome to ASP.NET MVC!", viewData["Message"]);
  }

  [TestMethod]
  public void Home_About()
  {
   // Arrange
   HomeController controller = new HomeController();

   // Act
   ViewResult result = controller.About() as ViewResult;

   // Assert
   Assert.IsNotNull(result);
  }
 }
}
