﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.InteropServices;

namespace Util
{
 public class FS
 {

  public static void Append(string FileName, string text )
  {
   System.IO.StreamWriter sw = new System.IO.StreamWriter(FileName, true);
   sw.WriteLine(DateTime.Now.ToLocalTime() + ": "+ text);
   sw.Close();

  }

 }

  public class UI
  {
    [DllImport("kernel32.dll", ExactSpelling = true)]
    private static extern IntPtr GetConsoleWindow();

    private static IntPtr MyConsole = GetConsoleWindow();

    [DllImport("user32.dll", EntryPoint = "SetWindowPos")]
    public static extern IntPtr SetWindowPos(IntPtr hWnd, int hWndInsertAfter, int x, int Y, int cx, int cy, int wFlags);
    const int SWP_NOSIZE = 0x0001;
    public static bool ConsoleEnabled = true; 

    public static void SetConsolePos(int xpos, int ypos)
    {
      try
      {
        SetWindowPos(MyConsole, 0, xpos, ypos, 0, 0, SWP_NOSIZE);
      }
      catch (Exception)
      {
        // Nicht schlimm, wenn es schiefgeht!
      }

    }

    public static void Print(string s, ConsoleColor farbe)
    {
     if (!ConsoleEnabled) return;
     System.Collections.ArrayList a = new System.Collections.ArrayList();
     lock(a)
     {
      ConsoleColor alteFarbe = Console.ForegroundColor;
      Console.ForegroundColor = farbe;
      Console.WriteLine(s);
      Console.ForegroundColor = alteFarbe;
    }
    }


    public static void Headline(string s)
    {
     Console.ForegroundColor = ConsoleColor.Yellow;
     Console.WriteLine(s);
     Console.ForegroundColor = ConsoleColor.Gray;
    }

    public static void HeaderFooter(string s)
    {
     Console.ForegroundColor = ConsoleColor.Green;
     Console.WriteLine(s);
     Console.ForegroundColor = ConsoleColor.Gray;
    }
    public static void Print(string s)
    {
     UI.Print(s, ConsoleColor.Gray);
    }



  }
}
