<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Flugdaten_AJAX_Service_WCF.aspx.cs"
 Inherits="Flugdatenverwaltung_AJAX" MasterPageFile="~/Master/WWWings.Einfach.master"
 Title="AJAX Service via WCF" %>

<asp:Content ID="P1" runat="server" ContentPlaceHolderID="P_MainContent">

 <script src="/App_Scripts/AJAX_Hilfsroutinen.js" type="text/javascript"></script>

 <script language="javascript">

  function pageLoad() {
   DatenLaden();
  }

  // ============== Laden der Flugdaten / Aufruf
  function DatenLaden() {
   var abflug = document.getElementById('C_Abflugort').options[$get('C_Abflugort').selectedIndex].value;
   $get("Tabelle").innerHTML = "Lade Daten fr " + abflug;



   Flugplanservice_WCFAJAX.HoleAlleVon35(abflug, 10, 0, DatenLaden_Callback, Fehler_Callback);
   $get("Tabelle").innerHTML = "Daten fr " + abflug + " werden geladen...";
  }

  // ============== Laden der Flugdaten / Rckruf
  function DatenLaden_Callback(pagedresult) {
   var result = pagedresult.Rows;
   var s = "";
   s = "<table border='0' width='90%'  noshade='noshade'>";
   //alert(result.length);
   for (var i = 0; i < result.length; i++) {
    if (i % 2 == 0) { s = s + "<tr bgcolor='#F7F7F7'>"; } else { s = s + "<tr bgcolor='#E7E7FF'>"; }

    s = s + "<td>" + result[i].FlugNr + "</td>";
    s = s + "<td>" + result[i].Datum.toLocaleString() + "</td>";
    s = s + "<td>" + result[i].Abflugort + "</td>";
    s = s + "<td>" + result[i].Zielort + "</td>";
    s = s + "<td>" + result[i].FreiePlaetze + "</td>";
    s = s + "<td>" + "<a href='F" + result[i].flugNr + ".aspx'>Details</a></td>";
    s = s + "</tr>";
   }
   s = s + "</table>";
   $get("Tabelle").innerHTML = s;
  }


  function Fehler_Callback(exception) {
   alert(exception.get_message());
  }
 </script>

 <div>
  <span class="">Alle Flge von einem bestimmten Ort<br />
   Lsung mit WCF AJAX Service </span><br />
  <asp:ScriptManager ID="ScriptManager1" runat="server" ScriptMode="Inherit">
   <Services>
    <asp:ServiceReference Path="/Webservice/FlugplanService_WCFAJAX.svc" />
   </Services>
  </asp:ScriptManager>
  Abflugort:
  <select id="C_Abflugort" name="C_Abflugort" onchange="DatenLaden();">
   <option value="Berlin" selected="selected">Berlin</option>
   <option value="Rom">Rom</option>
   <option value="Paris">Paris</option>
   <option value="Essen/Mlheim">Essen/Mlheim</option>
  </select>
  </strong>
  <br />
  <div id="Tabelle">
  </div>
 </div>
</asp:Content>
