<%@ Application Language="VB" %>
<object Id="ListeAllerAngemeldetenBenutzer" Scope="application" Class="System.Collections.ArrayList"
 RunAt="server" />
<object Id="AnzahlSeitenaufrufeDiesesBenutzers" Scope="session" Class="System.Int16"
 RunAt="server" />
<%@ Import namespace="System.Web.Routing"%>
<script RunAt="server">

 Private Sub Global_Error(ByVal sender As Object, ByVal e As System.EventArgs) Handles MyBase.Error
  
  ' TODO: Aktivieren wenn keine Fehlerbehandlung gewnscht
  Exit Sub
  
  ' === Fehlerobjekt
  Dim ex As Exception = Server.GetLastError
  ' === Seite nicht gefunden
  If TypeOf ex.InnerException Is System.IO.FileNotFoundException Then
   Response.Redirect("/global/Pagenotfound.aspx?Seitenname=" & Server.UrlEncode(Request.Url.ToString))
  Else
   ' === Kein Zugriff auf die Datenbank
   If InStr(ex.InnerException.Message, "Datei wird bereits verwendet") > 0 Then
    Response.Redirect("/global/datenbankupdate.aspx")
   Else
    ' === anderer Fehler
    Dim ExtenerText As String = ""
    Dim InternerText As String = ""
    InternerText &= "Request: " & Request.RawUrl & vbCrLf & vbCrLf
    InternerText &= "Nachricht: " & ex.InnerException.Message & vbCrLf & vbCrLf
    InternerText &= "Source: " & ex.Source & vbCrLf & vbCrLf
    InternerText &= ex.InnerException.ToString & vbCrLf & vbCrLf
    ExtenerText &= "<hr>Fehler auf diesem Server<hr>"
    ExtenerText &= "Leider ist es in der Verarbeitung der Anfrage zu einem Server-Fehler gekommen."
    ExtenerText &= "Der Webmaster wurde ber den Fehler und die Fehlerursache benachrichtigt. Bitte versuchen Sie es noch einmal oder kommen Sie zu einem spteren Zeitpunkt zurck auf diese Seite."
    ExtenerText &= "<br>Vielen Dank fr Ihr Verstndnis.<hr>"
    ' TODO: Log(InternerText)
    Response.Write(ExtenerText)
   End If
  End If
  Server.ClearError()
 End Sub
  
 Protected Sub Application_BeginRequest(ByVal sender As Object, ByVal e As System.EventArgs)
  
  ' Response.Write(System.Reflection.Assembly.GetExecutingAssembly().ImageRuntimeVersion)
       
  If Request.Url.ToString().ToLower().EndsWith(".aspx") Then
   Dim counter As New XMLCounter
   counter.Counter_erhoehen(Request.Url.ToString())
  End If
  
  ' --- Programmgesteuertes URL-Remapping
  ' Regulrer Ausdruck
  Dim reg As New Text.RegularExpressions.Regex("f([0-9][0-9][0-9]).aspx")
  ' Match gegen URL ausfhren
  Dim match As Text.RegularExpressions.Match = reg.Match(Request.Url.ToString().ToLower())
  ' Wenn Match erfolgreich...
  If match.Success Then
   ' Teilbereich 1 extrahieren
   Dim ID As String = match.Groups(0).Value.ToLower()
   ID = ID.Replace(".aspx", "")
   ID = ID.Replace("f", "")
   ' Umlenken
   Context.RewritePath("/Fluege/RAD/Flugdetails_SDS.aspx", "", "FlugNr=" & ID)
  End If
   
  'Dim anz As Int16 = Session.StaticObjects("AnzahlSeitenaufrufeDiesesBenutzers")
  'anz += 1
  'Application.StaticObjects("AnzahlSeitenaufrufeDiesesBenutzers") = anz
 End Sub
 
 
 Protected Sub Application_Error(ByVal sender As Object, ByVal e As System.EventArgs)

 End Sub
 
 Sub Application_Start(ByVal sender As Object, ByVal e As EventArgs)
  
  
  ' Fr ------------ Query Notifications
  ' 1. SQL Server Broker aktivieren: ALTER DATABASE Datenbank SET ENABLE_BROKER
  ' 2. Listener hier starten: System.Data.SqlClient.SqlDependency.Start(System.Configuration.ConfigurationManager.ConnectionStrings("CS_WWWings").ConnectionString)
  
  ' ab .NET 3.5 SP1: Route festlegen
  
  Dim r1 As New System.Web.Routing.Route("Flug/{FlugNr}", New Flug_RouteHandler())
  Dim r2 As New System.Web.Routing.Route("Flight/{FlugNr}", New Flug_RouteHandler())
  Dim r3 As New System.Web.Routing.Route("Flugplan/Flug/{FlugNr}", New Flug_RouteHandler())
  Dim r4 As New System.Web.Routing.Route("Flug-{FlugNr}", New Flug_RouteHandler())
 
  System.Web.Routing.RouteTable.Routes.Add(r1)
  System.Web.Routing.RouteTable.Routes.Add(r2)
  System.Web.Routing.RouteTable.Routes.Add(r3)
  System.Web.Routing.RouteTable.Routes.Add(r4)
  
  Dim r5 As New System.Web.Routing.Route("{Objekt}-{FlugNr}", New Flug_RouteHandler())
  System.Web.Routing.RouteTable.Routes.Add(r5)
    
  ' --- Route mit Standardwerten
  Dim r6 As New System.Web.Routing.Route("{Objekt}={FlugNr}", New Flug_RouteHandler())
  r6.Defaults = New RouteValueDictionary(New With {.Objekt = "Flug", .FlugNr = "222"})
  System.Web.Routing.RouteTable.Routes.Add(r6)

  
  ' --- Route fr allgemeine Routenbehandlung
  Dim r7 As New System.Web.Routing.Route("Flugzeuge/{*FlugzeugDetails}", New CommonRouteHandler("/Info/Flugzeuge.aspx"))
  System.Web.Routing.RouteTable.Routes.Add(r7)
  
  ' OPTIONAL: Aktivieren, wenn Cache Dependencies gezeigt werden sollen
  'System.Data.SqlClient.SqlDependency.Start(System.Configuration.ConfigurationManager.ConnectionStrings("CS_WWWings").ConnectionString)
  
  Dim workflowRuntime As System.Workflow.Runtime.WorkflowRuntime = New System.Workflow.Runtime.WorkflowRuntime()

  Dim manualService As System.Workflow.Runtime.Hosting.ManualWorkflowSchedulerService = New System.Workflow.Runtime.Hosting.ManualWorkflowSchedulerService()
  workflowRuntime.AddService(manualService)

  workflowRuntime.StartRuntime()

  Application("WorkflowRuntime") = workflowRuntime
 End Sub
</script>

<%--<script RunAt="server">

 Sub Application_Start(ByVal sender As Object, ByVal e As EventArgs)
  
  ' Code that runs on application startup
  'System.Data.SqlClient.SqlDependency.Start(System.Configuration.ConfigurationManager.ConnectionStrings("CS_WWWings").ConnectionString)

  'System.Data.SqlClient.SqlDependency.Start(System.Configuration.ConfigurationManager.ConnectionStrings("CS_MBW").ConnectionString)

 End Sub
    
 Sub Application_End(ByVal sender As Object, ByVal e As EventArgs)
  ' Code that runs on application shutdown
 End Sub
        
 
 
 Sub Log(ByVal s As String)
  
 End Sub

 Sub Session_Start(ByVal sender As Object, ByVal e As EventArgs)
  ' Code that runs when a new session is started
  Session("PassagierID") = 1 ' nur zum Test
  Session("SessionStart") = Now

 End Sub

 Sub Session_End(ByVal sender As Object, ByVal e As EventArgs)
  ' Code that runs when a session ends. 
  ' Note: The Session_End event is raised only when the sessionstate mode
  ' is set to InProc in the Web.config file. If session mode is set to StateServer 
  ' or SQLServer, the event is not raised.
 End Sub
       
 Protected Sub Application_PostAuthorizeRequest(ByVal sender As Object, ByVal e As System.EventArgs)

 End Sub

 Protected Sub Application_PostAuthenticateRequest(ByVal sender As Object, ByVal e As System.EventArgs)
  Dim BenutzerListe As System.Collections.ArrayList
  BenutzerListe = Application.StaticObjects("ListeAllerAngemeldetenBenutzer")
  If Not BenutzerListe.Contains(User.Identity.Name) And User.Identity.Name <> "" Then BenutzerListe.Add(User.Identity.Name)
 End Sub
 
 
 
 

</script>--%>
