﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data.Objects;
using System.Data;

namespace de.WWWings.Test.Demos_EF
{
 class EF_Util
 {

  public static void PrintChangeTrackerInfo(ObjectContext modell)
  {


   foreach (var obj in modell.ObjectStateManager.GetObjectStateEntries(EntityState.Modified))
   {
    Console.WriteLine("Anzahl geänderter Attribute: " + obj.GetModifiedProperties().Count());
    foreach (var attribut in modell.ObjectStateManager.GetObjectStateEntry(obj.Entity).GetModifiedProperties())
    {
     Console.WriteLine(" Alter Wert: " + obj.OriginalValues[attribut]);
     Console.WriteLine(" Neuer Wert: " + obj.CurrentValues[attribut]);
    }
   }
   int anz = modell.SaveChanges();

   Console.WriteLine("SaveChanges(): Anzahl der gespeicherten Änderungen: " + anz);


  }
 }
}
