﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.Serialization.Formatters.Binary;
using System.IO;
using System.Runtime.Serialization;

namespace de.WWWings.Test.Modelle.LTS4
{


 partial class GF_GebuchteFluege
 {

 }
 
 partial class FL_Fluege // geht auch: System.MarshalByRefObject
 {

  public double Auslastung
  {
   get
   {
    return Math.Round(((double)this.FL_FreiePlaetze / (double)this.FL_Plaetze) * 100, 0);
   }
  }

  public bool IstAusgebucht
  {
   get
   {
    return (this.FL_FreiePlaetze == 0);
   }
  }


  //partial void OnLoaded()
  //{
  // Console.WriteLine("Loaded Object: " + this.FL_FlugNr);
  //}

  public FL_Fluege Clone()
  {
   return this.MemberwiseClone() as FL_Fluege;
  }

  public FL_Fluege ManualClone()
  {
   FileStream ms = new FileStream(@"c:\test.bin", FileMode.OpenOrCreate);
   DataContractSerializer bf = new DataContractSerializer(typeof(FL_Fluege));
   bf.WriteObject(ms, this);

   ms.Close();

   FileStream ms2 = new FileStream(@"c:\test.bin", FileMode.OpenOrCreate);

   FL_Fluege f = bf.ReadObject(ms2) as FL_Fluege;
   ms2.Close();
   return f;

   //FL_Fluege f = new FL_Fluege() { FL_FlugNr = this.FL_FlugNr, FL_FreiePlaetze = this.FL_FreiePlaetze, FL_Abflugort = this.FL_Abflugort, FL_Zielort = this.FL_Zielort, Timestamp = this.Timestamp }; // unzureichend: Alle Properties!

   //foreach (GF_GebuchteFluege gf in this.GF_GebuchteFlueges)
   //{
   // GF_GebuchteFluege g = new GF_GebuchteFluege() { GF_Buchungscode = gf.GF_Buchungscode, GF_FL_FlugNr = f.FL_FlugNr };
   // f.GF_GebuchteFlueges.Add(g);

   //}
   //return f;
  }



  public string GetCSV()
  {
   return this.FL_FlugNr + ";" + this.FL_Abflugort + ";" + this.FL_Zielort + ";" + this.FL_FreiePlaetze;
  }
  

 }
}
