﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace de.WWWings.Test.TDS.TDSSchemaVersion6
{
 class TDS6Demos
 {

  public static void TimestampDemo()
  {

   TDS6.MetadatenDataTable t = new TDS6.MetadatenDataTable();
   TDS6TableAdapters.MetadatenTableAdapter ta = new de.WWWings.Test.TDS.TDSSchemaVersion6.TDS6TableAdapters.MetadatenTableAdapter();
   foreach (TDS6.MetadatenRow dr in ta.GetData())
   {
   Console.WriteLine((dr.Name));
    if (dr.Name == "Test")
     
    {
     foreach (byte be in dr.Timestamp.ToList<byte>())
     {
      Console.Write(be.ToString() + " ");
     } Console.WriteLine();

     dr.Value = (Convert.ToInt64(dr.Value) + 1).ToString();
     ta.Update(dr);

     foreach (byte be in dr.Timestamp.ToList<byte>())
     {
      Console.Write(be.ToString() + " ");
     } Console.WriteLine();
    }


   }
   



  }


  public static void RunAdd()
  {
   Console.WriteLine("Adding...");
   TDS6.ProtokollDataTable t = new TDS6.ProtokollDataTable();
   
   TDS6.ProtokollRow p = t.AddProtokollRow("test", DateTime.Now);
   
 

   TDS6TableAdapters.ProtokollTableAdapter ta = new de.WWWings.Test.TDS.TDSSchemaVersion6.TDS6TableAdapters.ProtokollTableAdapter();
   ta.Update(t);

   Console.WriteLine("Saved!");
   Console.WriteLine(p.ID);


   TDS6TableAdapters.QueriesTableAdapter ta2 = new de.WWWings.Test.TDS.TDSSchemaVersion6.TDS6TableAdapters.QueriesTableAdapter();
   Console.WriteLine(ta2.CountFlugByOrt("Rom"));

  }

 }
}
