﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace VerschiedeneDemos_CS.Sprachsyntax
{
 public class CS10_Dynamic
 {
  /// <summary>
  /// Beispiel für dynamische Nutzung einer COM-Bibliothek (hier: Microsoft Excel)
  /// </summary>
  public static void ExcelDemo()
  {
  dynamic excel = Activator.CreateInstance(Type.GetTypeFromProgID("Excel.Application"));
  excel.Visible = true;
  dynamic workBook = excel.Workbooks.Add();
  excel.Cells[1, 1].Value2 = "Test";
  workBook.SaveAs (@"C:\temp\testdatei3.xls");
  excel.Quit();
  }

 }
}
