﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml;
using de.ITVisions.DemoViewer;

namespace VerschiedeneDemos_CS.XML
{
 [Demo()]
 internal class XMLDOMDemos
 {
  private const string DATEI = "..\\..\\daten\\Flugliste.xml";


  // === Ändern des Inhalts
  //[AutoRun()]
  public void PlatzAnzahlErhoehen()
  {
   XmlDocument d = new XmlDocument();
   XmlElement e = null;
   const string FlugNr = "101";
   // --- Dokument laden
   d.Load(DATEI);

   // --- Einzelnes Element auswählen
   e = d.SelectSingleNode("*//Flug[@ID='" + FlugNr + "']/Details/Plaetze") as XmlElement;
   Demo.Print("Alter Wert:" + e.FirstChild.Value);
   // --- Counter erhöhen!
   e.FirstChild.Value = (Convert.ToInt64(e.FirstChild.Value) + 10).ToString();
   Demo.Print("Neuer Wert:" + e.FirstChild.Value);
   // --- Dokument speichern
   d.Save(DATEI);
  }

 }
}